      SUBROUTINE EXT_GPSSOL(KNBMESS,KNBMECR,CDTYPM,KNBWAG,
     &                    PLATN,PLATS,PLONO,PLONE,KPLEIN)
!-----------------------------------------------------------------------
!  Modifications :
!    15/06/2006 :F Guillaume : blacklistage des GPSSOL
!-----------------------------------------------------------------------
!  auteur de revision : F. Guillaume
!  date de revision   : 17/03/2008
!  objet              : formats explicites d'ecriture dans OBSOUL
!                       pour mise en conofmite SOPRANO.
!=======================================================================
      IMPLICIT LOGICAL(L)

#include "oulan_pardimo.h"
#include "oulan_yomtomv.h"
#include "oulan_yompin.h"
#include "oulan_yomdirs.h"
#include "oulan_yomnbob.h"
#include "oulan_yomdate.h"
#include "oulan_yomcsts.h"


      CHARACTER  CLLAT            *  12 , CLLON                   *   12
      CHARACTER  CDTYPM           *  10 , CL_NULL                  *   5

      CHARACTER  CL_TYPE_MESS     * 20 , CL_VERS_MESS              * 20
      CHARACTER  CL_MIN_DATE      * 14 , CL_MAX_DATE               * 14
      CHARACTER  CL_LAST_ARRIVED  *  1 , CL_LISTE_PARAM(1)         * 15
      CHARACTER  CL_LISTE_STAT(1) *  4 , CL_DONNEES(5,KNBMESS)     * 80

      CHARACTER  CL_FROM          *  1 , CL_ORDER                *    1
      CHARACTER  CL_BASE          *  1 , CL_WHERE                * 1023
      CHARACTER  CL_MIN_LAT       *  3 , CL_MAX_LAT                *  3
      CHARACTER  CL_MIN_LON       *  4 , CL_MAX_LON                *  4

      CHARACTER  CL_AUTORISATION  * 30
      INTEGER    I_PAS_DE_TPS , I_NB_PARAM , I_TYPE_SORTIE , I_NBRE_STAT
      INTEGER    I_CODE_RETOUR_EXT , I_NB_MESS, I_BLACK
      REAL       Z_DONNEES(180,KNBMESS)

      REAL  DL_MIN_LAT , DL_MAX_LAT
      REAL  DL_MIN_LON , DL_MAX_LON

      CHARACTER  CLINDIC          * 12
      INTEGER    IVNM,IFLG,INCQ(0:3)
      REAL       ZPOB,ZPRL,ZVAR
      
! ----------------------------------------------------------------------
! code pour realiser des sorties formatees  OBSOUL (SOPRANO)

      character entete * 84, wagon_prov * 34
      character wagon  * 34, fmt_final * 117
! ----------------------------------------------------------------------

#include "oulan_yombitu.h"

! ----------------------------------------------------------------------
! code pour realiser des sorties formatees  OBSOUL (SOPRANO)

      entete="(I4,1X,I2,1X,I9,1X,F9.5,1X,F10.5,1X,A12,1X,I8,1X,I6,1X"
      entete = trim(adjustl(entete)) // ",ES12.5,1X,I5,1X,I7,1X,I7,1X,"
      wagon_prov = "(I5,'(1X,I3,1X,3(ES12.5,1X),I11)')"                       
! ----------------------------------------------------------------------

      CL_NULL      = 'NULL'//CHAR(0)

      KNBMECR = 0
      KPLEIN  = 0

      INCQ(0) = 0
      INCQ(1) = 2
      INCQ(2) = 3
      INCQ(3) = 1

      IZERO   = 0
      ICQUN   = 1
      I_BLACK = 0
      IF (L_GPSS_BLACK) I_BLACK = 1

!-----------------------------------------------------------------------

!  Initialisations des arguments de la fonction d'extraction
!  ---------------------------------------------------------

      CL_TYPE_MESS( 1:10) = CDTYPM
      CL_TYPE_MESS(11:20) = '          '
      CL_VERS_MESS        = '%                   '
      CL_MIN_DATE         = CDATDEB(2)
      CL_MAX_DATE         = CDATFIN(2)
      CL_AUTORISATION     = 'OPER                          '
      CL_LAST_ARRIVED     = 'Y'
      CL_LISTE_STAT(1)    = 'NULL'
      CL_LISTE_PARAM(1)   = 'NULL           '

      CL_WHERE            = ' '
      CL_FROM             = '?'
      CL_ORDER            = '?'
      CL_BASE             = 'Y'

      I_PAS_DE_TPS      = 0
      I_NB_PARAM        = 0
      I_TYPE_SORTIE     = 3
      I_NBRE_STAT       = 0
      I_NB_MESS         = KNBMESS

!      DL_MIN_LAT        = PLATS
!      DL_MAX_LAT        = PLATN
!      DL_MIN_LON        = PLONO
!      DL_MAX_LON        = PLONE

      DL_MIN_LAT          = -90.
      DL_MAX_LAT          =  90.
      DL_MIN_LON          = -180.
      DL_MAX_LON          =  180.

      WRITE(CL_MIN_LAT(1:3),'(I3)') FLOOR(PLATS)
      WRITE(CL_MAX_LAT(1:3),'(I3)') CEILING(PLATN)
      WRITE(CL_MIN_LON(1:4),'(I4)') NINT(PLONO)
      WRITE(CL_MAX_LON(1:4),'(I4)') NINT(PLONE)

      CL_DONNEES          = ' '
      Z_DONNEES           = RABSI

      CL_WHERE(001:044) = 'and ((((+000>=+000 and ((MINLON<=MAXLON and '
      CL_WHERE(045:088) = 'MINLON<=+000 and MAXLON>=+000) or (MINLON>MA'
      CL_WHERE(089:132) = 'XLON and (MINLON<=+000 or MAXLON>=+000)))) o'
      CL_WHERE(133:176) = 'r (+000<+000 and ((MINLON<=MAXLON and (MINLO'
      CL_WHERE(177:220) = 'N<=+000 or MAXLON>=+000)) or MINLON>MAXLON))'
      CL_WHERE(221:264) = ') and (MINLAT<=+00 and MAXLAT>=+00)) or MINL'
      CL_WHERE(265:308) = 'ON is NULL or MAXLON is NULL or MINLAT is NU'
      CL_WHERE(309:329) = 'LL or MAXLAT is NULL)'

      CL_WHERE(009:012) =CL_MAX_LON(1:4)
      CL_WHERE(015:018) =CL_MIN_LON(1:4)
      CL_WHERE(053:056) =CL_MAX_LON(1:4)
      CL_WHERE(070:073) =CL_MIN_LON(1:4)
      CL_WHERE(107:110) =CL_MAX_LON(1:4)
      CL_WHERE(123:126) =CL_MIN_LON(1:4)
      CL_WHERE(136:139) =CL_MAX_LON(1:4)
      CL_WHERE(141:144) =CL_MIN_LON(1:4)
      CL_WHERE(180:183) =CL_MAX_LON(1:4)
      CL_WHERE(196:199) =CL_MIN_LON(1:4)
      CL_WHERE(236:238) =CL_MAX_LAT(1:3)
      CL_WHERE(252:254) =CL_MIN_LAT(1:3)
      IF ( LCUTOFF) THEN
         CL_LAST_ARRIVED = 'N'
         CL_WHERE(330:349)  = ' AND DATE_INSERT < '''
	 CL_WHERE(350:363)= CDATFIN(4)
	 CL_WHERE(364:366) = ''' '
      ENDIF

!-----------------------------------------------------------------------

!  Extraction
!  ----------

      PRINT *,' '
      PRINT *,' Extraction des ',CDTYPM
      PRINT *,' '

      CALL RDLLTDOMCLAUSE(
     &  CL_TYPE_MESS    , CL_VERS_MESS    , CL_MIN_DATE  , CL_MAX_DATE ,
     &  CL_AUTORISATION , CL_LAST_ARRIVED , I_PAS_DE_TPS , CL_NULL     ,
     &  I_NB_PARAM      , Z_DONNEES       , CL_DONNEES   , CL_NULL     , 
     &  I_TYPE_SORTIE   , I_NB_MESS       , DL_MIN_LAT   , DL_MAX_LAT  ,
     &  DL_MIN_LON      , DL_MAX_LON      , CL_NULL      , I_NBRE_STAT ,
     &  CL_FROM         , CL_WHERE        , CL_ORDER     , CL_BASE     ,
     &  I_CODE_RETOUR_EXT )

!      CALL RDLLTDOMAINDECOD( CL_TYPE_MESS, CL_VERS_MESS, CL_MIN_DATE ,
!     &                       CL_MAX_DATE , CL_AUTORISATION ,
!     &                       CL_LAST_ARRIVED , I_PAS_DE_TPS ,
!     &                       CL_NULL , I_NB_PARAM , Z_DONNEES ,
!     &                       CL_DONNEES , CL_NULL , I_TYPE_SORTIE ,
!     &                       I_NB_MESS , DL_MIN_LAT , DL_MAX_LAT ,
!     &                       DL_MIN_LON , DL_MAX_LON , CL_NULL ,
!     &                       I_NBRE_STAT , I_CODE_RETOUR_EXT )

      PRINT *,' '
      PRINT *,' Fin de l''extraction '
      PRINT *,' '

      IF ( I_CODE_RETOUR_EXT.NE.0 .AND.
     &     I_CODE_RETOUR_EXT.NE.1       ) THEN
        PRINT 101,CDTYPM,I_CODE_RETOUR_EXT
 101    FORMAT(/,' Probleme lors de l''extraction des ',A10,
     &         ' I_CODE_RETOUR_EXT = ',I2,/)
        RETURN
      ENDIF

      IF ( I_NB_MESS.EQ.KNBMESS ) KPLEIN = I_NB_MESS
      IF ( NINIT.EQ.1 ) RETURN

!-----------------------------------------------------------------------

!  Traitements
!  -----------

      OBS_BCLE: DO JO=1,I_NB_MESS
!        IF ( LCUTOFF .AND. 
!     &       CL_DONNEES(2,JO)(1:14).GT.CDATFIN(4) ) CYCLE OBS_BCLE
        IRLN    = NABSO
        IOTP    = NABSO
        IOCH    = NABSO
        ZLAT    = RABSO
        ZLON    = RABSO
        IDAT    = NABSO
        IETM    = NABSO
        ZALT    = RABSO
        INLV    = NABSO
        IRFL    = 11111
        ISTD    = 0
        CLINDIC = " '        ' "
        CLLAT   = "            "
        CLLON   = "            "
        ICQLAT  = 1
        ICQLON  = 1
        ICQDAT  = 1
        ICQETM  = 1
        ICQALT  = 1

        IVNM = NABSO
        ZPOB = RABSO
        ZPRL = RABSO
        ZVAR = RABSO
        IFLG = NABSO

!  Saisie de la locomotive

        IOTP = NSYNOP

!   rejet de l'observation si coordonnees erronees

	IF (Z_DONNEES(12,JO).LT.-90. .OR. Z_DONNEES(12,JO).GT.90. .OR.
     &	   Z_DONNEES(13,JO).LT.-180. .OR. Z_DONNEES(13,JO).GT.180.) THEN
           CYCLE OBS_BCLE
	ELSE
           ZLAT = Z_DONNEES(12,JO)
           ZLON = Z_DONNEES(13,JO)
           WRITE (CLLAT(2:11),'(F10.5)') ZLAT
           WRITE (CLLON(2:11),'(F10.5)') ZLON
	ENDIF

!   rejet de l'observation si altitude erronee

        IF ( Z_DONNEES(14,JO).EQ.RABSI ) THEN
	   CYCLE OBS_BCLE
	ELSE
	   ZALT = Z_DONNEES(14,JO)
	ENDIF
	
	
        IOCH    = 0
        ITYPSTA = 3

        IF (Z_DONNEES(15,JO).NE.23) CYCLE OBS_BCLE

        IF (NINT(Z_DONNEES(16,JO)).LT.5 .OR.
     &	    NINT(Z_DONNEES(16,JO)).GT.60) CYCLE OBS_BCLE

        IF (NINT(Z_DONNEES(25,JO)).NE.90) CYCLE OBS_BCLE

        CALL OULAN_CAROBS(IOTP,CDTYPM,ITYPSTA,I_BLACK,IZERO,ZLAT,IOCH)

        IF (Z_DONNEES(7,JO).EQ.RABSI .OR. Z_DONNEES(8,JO).EQ.RABSI .OR.
     &     Z_DONNEES(9,JO).EQ.RABSI .OR. Z_DONNEES(10,JO).EQ.RABSI .OR.
     &     Z_DONNEES(11,JO).EQ.RABSI) CYCLE OBS_BCLE
     
        IDAT = NINT( Z_DONNEES( 7,JO) ) * 10000  +
     &         NINT( Z_DONNEES( 8,JO) ) * 100    +
     &         NINT( Z_DONNEES( 9,JO) )
        IETM = NINT( Z_DONNEES(10,JO) ) * 10000  +
     &         NINT( Z_DONNEES(11,JO) ) * 100

        IF ( Z_DONNEES(1,JO).NE.RABSI ) THEN
          IVALCL = NINT( Z_DONNEES(1,JO) )
          INOCL  = IVALCL / 1000
          ILNCL  = MOD( IVALCL , 1000 )
          IPOSTIR = INDEX(CL_DONNEES(INOCL,JO),"-")
          IF (ILNCL.LE.9 .AND. IPOSTIR .GT. 1) THEN
            IPOSTIR = INDEX(CL_DONNEES(INOCL,JO),"-")
            CLINDIC(3:2+IPOSTIR-1)=CL_DONNEES(INOCL,JO)(1:IPOSTIR-1)
            CLINDIC(2+IPOSTIR:ILNCL+1)=CL_DONNEES(INOCL,JO)
     &                                           (IPOSTIR+1:ILNCL)
          ELSE
            CLINDIC(3:10) = CL_DONNEES(INOCL,JO)(1:8)
            write (NULOUT,*) "indic. ",CL_DONNEES(INOCL,JO)(1:ILNCL),
     &                       " incorrect."  
          ENDIF
!         IF ( ILNCL.GE.8 ) THEN
!           CLINDIC(3:10) = CL_DONNEES(INOCL,JO)(1:8)
!         ELSE
!           CLINDIC(3:2+ILNCL) = CL_DONNEES(INOCL,JO)(1:ILNCL)
!         ENDIF
	ELSE
	  CYCLE OBS_BCLE
        ENDIF


        IRFL = ICQALT*10000 + ICQETM*1000 + ICQDAT*100 + ICQLON*10 +
     &         ICQLAT

        IF ( Z_DONNEES(5,JO).NE.RABSI )
     &    ISTD = INT(Z_DONNEES(5,JO)+REPSILON)

!  Saisie des wagons

!  composition du code qualite (IFLG) :

!  delay

        IVNM = NVNUMB(69)
        ZPOB = Z_DONNEES(16,JO)
        ZPRL = Z_DONNEES(27,JO)
        ZVAR = Z_DONNEES(26,JO)
        IF ( Z_DONNEES(20,JO).NE.RABSI ) THEN
	    IFLG = NINT( Z_DONNEES(20,JO))
	ELSE
	    IFLG = 2147483647
	ENDIF

        INLV = 1
        IRLN = NCILET + INLV*NCILBO

!  Copie de l'observation sur le fichier d'obs.

        write(wagon,fmt=wagon_prov) INLV
	fmt_final = trim(adjustl(entete))//trim(adjustl(wagon))//")"

        WRITE (NULOBI,fmt_final) IRLN,IOTP,IOCH,ZLAT,ZLON,CLINDIC,
     &                           IDAT,IETM,ZALT,INLV,IRFL,ISTD,
     &                           IVNM,ZPOB,ZPRL,ZVAR,IFLG
     
        KNBMECR = KNBMECR + 1
        KNBWAG  = KNBWAG + 1
 
        IF ( L_GEOPOINTS ) THEN
          ITPM = MOD( IOCH , 1000 )
          WRITE (NULGEO,'(F11.5,F11.5,I5)') ZLON,ZLAT,ITPM
        ENDIF

      ENDDO OBS_BCLE

!-----------------------------------------------------------------------

      RETURN
      END
