      SUBROUTINE EXT_SATEM(KNBMESS,KNBMECR,CDTYPM,KNBWAG,
     S                     PLATN,PLATS,PLONO,PLONE,KPLEIN)
!-----------------------------------------------------------------------
!  auteur de revision : F. Guillaume
!  date de revision   : 17/03/2008
!  objet              : formats explicites d'ecriture dans OBSOUL
!                       pour mise en conofmite SOPRANO.
!=======================================================================
      IMPLICIT LOGICAL(L)

#include "oulan_pardimo.h"
#include "oulan_yompin.h"
#include "oulan_yomtomv.h"
#include "oulan_yomdirs.h"
#include "oulan_yomnbob.h"
#include "oulan_yomdate.h"
#include "oulan_yomcsts.h"

      PARAMETER ( JP_NBX_PAR = 30  )

      CHARACTER  CLLAT            *  12 , CLLON                   *   12
      CHARACTER  CDTYPM           *  10

      CHARACTER  CL_TYPE_MESS     * 20 , CL_VERS_MESS              * 20
      CHARACTER  CL_MIN_DATE      * 14 , CL_MAX_DATE               * 14
      CHARACTER  CL_LAST_ARRIVED  *  1 , CL_LISTE_PARAM(1)         * 15
      CHARACTER  CL_LISTE_STAT(1) *  4 , CL_DONNEES(5,KNBMESS)     * 80
      CHARACTER  CL_AUTORISATION  * 30
      INTEGER    I_PAS_DE_TPS , I_NB_PARAM , I_TYPE_SORTIE , I_NBRE_STAT
      INTEGER    I_CQ_BDM(120,KNBMESS),I_CODE_RETOUR_EXT , I_NB_MESS
      REAL       Z_DONNEES(120,KNBMESS)

      REAL  DL_MIN_LAT , DL_MAX_LAT
      REAL  DL_MIN_LON , DL_MAX_LON

      CHARACTER CLINDIC*12,CLPROVI(JPXSTPRD+1)*5,CLSATOUT(10)*3
      CHARACTER CLPRP(JPXSTPRD+2)*5,CLPRS*5,CLNBSATOUT(10)*6
      CHARACTER CLSAT(JPXSTSAT,JPXSTPRD+1)*3,CLSATF*3
      CHARACTER CLPROD(JPXSTSAT,JPXSTPRD+1)*3
      INTEGER   ICODM(KNBMESS),IVNM(JP_NBX_PAR),IFLG(JP_NBX_PAR)
      INTEGER   INCQ(0:3),INBSAT(JPXSTSAT,JPXSTPRD+1),INBSATOUT(10)
      INTEGER   IPTOP(JPXSTPRD+1),IPTOS(JPXSTSAT)
      REAL      ZPOB(JP_NBX_PAR),ZPRL(JP_NBX_PAR),ZVAR(JP_NBX_PAR)


! ----------------------------------------------------------------------
! code pour realiser des sorties formatees  OBSOUL (SOPRANO)

      character entete * 84, wagon_prov * 34
      character wagon  * 34, fmt_final * 117
! ----------------------------------------------------------------------


#include "oulan_yombitu.h"

! ----------------------------------------------------------------------
! code pour realiser des sorties formatees  OBSOUL (SOPRANO)

      entete = "(I4,1X,I2,1X,I9,1X,F9.5,1X,F10.5,1X,A12,1X,I8,1X,I6,1X"
      entete = trim(adjustl(entete)) // ",ES12.5,1X,I5,1X,I7,1X,I7,1X,"
      wagon_prov = "(I5,'(1X,I3,1X,3(ES12.5,1X),I11)')"                       
! ----------------------------------------------------------------------

      KNBMECR = 0
      KPLEIN  = 0

      DO JM=1,KNBMESS
        ICODM(JM) = 0
      ENDDO

      DO J=1,JPXSTSAT
        IPTOS(J) = 0
        DO JJ=1,JPXSTPRD+1
          IPTOP(JJ)    = 0
          INBSAT(J,JJ) = 0
          CLSAT(J,JJ)  = '   '
          CLPROD(J,JJ) = '   '
        ENDDO
      ENDDO

      INCQ(0) = 0
      INCQ(1) = 2
      INCQ(2) = 3
      INCQ(3) = 1

      INOSAT  = 0
      IZERO   = 0
      ICQUN   = 1

      DO J=1,10
        CLNBSATOUT(J) = '      '
        CLSATOUT(J)   = '   '
        INBSATOUT(J)  = 0
      ENDDO

      I_NB_SAT_OUT = 0

!-----------------------------------------------------------------------

!  Initialisations des arguments de la fonction d'extraction
!  ---------------------------------------------------------

      CL_TYPE_MESS( 1:10) = CDTYPM
      CL_TYPE_MESS(11:20) = '          '
      CL_VERS_MESS        = '%                   '
      CL_MIN_DATE         = CDATDEB(2)
      CL_MAX_DATE         = CDATFIN(2)
      CL_AUTORISATION     = 'OPER                          '
      CL_LAST_ARRIVED     = 'Y'
      CL_LISTE_STAT(1)    = 'NULL'
      CL_LISTE_PARAM(1)   = 'NULL           '

      I_PAS_DE_TPS        = 0
      I_NB_PARAM          = 0
      I_TYPE_SORTIE       = 3
      I_NBRE_STAT         = 0
      I_NB_MESS           = KNBMESS

      DL_MIN_LAT          = PLATS
      DL_MAX_LAT          = PLATN
      DL_MIN_LON          = PLONO
      DL_MAX_LON          = PLONE

      CL_DONNEES          = ' '
      Z_DONNEES           = RABSI
      I_CQ_BDM            = NABSI

!-----------------------------------------------------------------------

!  Extraction
!  ----------

      PRINT *,' '
      PRINT *,' Extraction des ',CDTYPM
      PRINT *,' '

      CALL RDLLTDOMAINDECOD( CL_TYPE_MESS , CL_VERS_MESS , CL_MIN_DATE ,
     &                       CL_MAX_DATE , CL_AUTORISATION ,
     &                       CL_LAST_ARRIVED , I_PAS_DE_TPS ,
     &                       CL_LISTE_PARAM , I_NB_PARAM , Z_DONNEES ,
     &                       CL_DONNEES , I_CQ_BDM , I_TYPE_SORTIE ,
     &                       I_NB_MESS , DL_MIN_LAT , DL_MAX_LAT ,
     &                       DL_MIN_LON , DL_MAX_LON , CL_LISTE_STAT ,
     &                       I_NBRE_STAT , I_CODE_RETOUR_EXT )

      PRINT *,' '
      PRINT *,' Fin de l''extraction '
      PRINT *,' '

         IF ( I_CODE_RETOUR_EXT.NE.0 .AND.
     &        I_CODE_RETOUR_EXT.NE.1       ) THEN
            PRINT 101,CDTYPM,I_CODE_RETOUR_EXT
 101        FORMAT(/,' Probleme lors de l''extraction des ',A10,
     &             ' I_CODE_RETOUR_EXT = ',I2,/)
            RETURN
         ENDIF

      IF ( I_NB_MESS.EQ.KNBMESS ) KPLEIN = I_NB_MESS
      IF ( NINIT.EQ.1 ) RETURN

!-----------------------------------------------------------------------

!  Traitements
!  -----------

      BOUCLE_MESSAGE: DO JO=1,I_NB_MESS

!  recherche pour suppression des parties C des messages SATEM (temporaire)

        IF ( Z_DONNEES(17,JO).LE.1000. ) ICODM(JO) = 1
        IF ( ICODM(JO).EQ.1 ) CYCLE BOUCLE_MESSAGE

        ICODM(JO) = 1
        IRLN      = NABSO
        IOTP      = NABSO
        IOCH      = NABSO
        ZLAT      = RABSO
        ZLON      = RABSO
        IDAT      = NABSO
        IETM      = NABSO
        ZALT      = RABSO
        INLV      = NABSO
        IRFL      = 11111
        ISTD      = 0
        CLINDIC   = " '        ' "
        CLLAT     = '            '
        CLLON     = '            '
        ICQLAT    = 1
        ICQLON    = 1
        ICQDAT    = 1
        ICQETM    = 1
        ICQALT    = 1

        DO JA=1,JP_NBX_PAR
          IVNM(JA) = NABSO
          ZPOB(JA) = RABSO
          ZPRL(JA) = RABSO
          ZVAR(JA) = RABSO
          IFLG(JA) = NABSO
        ENDDO

!  Saisie de la locomotive

        IOTP = NSATEM
        ZLAT = Z_DONNEES(15,JO)
        ZLON = Z_DONNEES(16,JO)
        IF ( I_CQ_BDM(15,JO).EQ.2 .OR. I_CQ_BDM(16,JO).EQ.2 )
     &    CYCLE BOUCLE_MESSAGE
        WRITE (CLLAT(2:11),'(F10.5)') ZLAT
        WRITE (CLLON(2:11),'(F10.5)') ZLON
        IOCH     = 0
        ITYPINS  = 0
        INUACOUV = 0
        IMETINV  = 0
        II4      = 0
        ITERMER  = 3

        IF ( Z_DONNEES(2,JO).NE.RABSI ) THEN
          ITYPINS = NINT( Z_DONNEES(2,JO) )
          IF ( ITYPINS.EQ.511 ) THEN
            ITYPINS = 0
          ELSE IF ( ITYPINS.EQ.448 ) THEN
            ITYPINS = 1
          ELSE IF ( ITYPINS.EQ.384 ) THEN
            ITYPINS = 2
          ELSE IF ( ITYPINS.EQ.256 ) THEN
            ITYPINS = 3
          ELSE IF ( ITYPINS.EQ.320 ) THEN
            ITYPINS = 4
          ELSE IF ( ITYPINS.EQ.128 ) THEN
            ITYPINS = 5
          ELSE IF ( ITYPINS.EQ.192 ) THEN
            ITYPINS = 6
          ELSE IF ( ITYPINS.EQ.64 ) THEN
            ITYPINS = 7
          ENDIF
        ENDIF

        IF ( Z_DONNEES(3,JO).NE.RABSI ) THEN
          IMETHOD  = NINT( Z_DONNEES(3,JO) )
          IMETINV1 = IBITS(IMETHOD,7,1)
          IMETINV2 = IBITS(IMETHOD,6,1)
          ICLAIR   = IBITS(IMETHOD,5,1)
          IMICLAIR = IBITS(IMETHOD,4,1)
          INUAGEUX = IBITS(IMETHOD,3,1)
          IF ( IMETINV1.EQ.1 ) THEN
            IMETINV = 0
          ELSE IF ( IMETINV2.EQ.1 ) THEN
            IMETINV = 1
          ENDIF
          IF ( ICLAIR.EQ.1 ) THEN
            INUACOUV = 1
          ELSE IF ( IMICLAIR.EQ.1 ) THEN
            INUACOUV = 2
          ELSE IF ( INUAGEUX.EQ.1 ) THEN
            INUACOUV = 3
          ENDIF
          II4 = (1-IMETINV)*3 + INUACOUV
        ENDIF

        IF (Z_DONNEES(20,JO).NE.RABSI) ITERMER = NINT(Z_DONNEES(20,JO))

        CALL OULAN_CAROBS(IOTP,CDTYPM,INUACOUV,IMETINV,ITERMER,
     &                    ZLAT,IOCH)

        IDAT = NINT( Z_DONNEES(10,JO) ) * 10000  +
     &         NINT( Z_DONNEES(11,JO) ) * 100    +
     &         NINT( Z_DONNEES(12,JO) )
        IETM = NINT( Z_DONNEES(13,JO) ) * 10000  +
     &         NINT( Z_DONNEES(14,JO) ) * 100

        IF ( Z_DONNEES(1,JO).NE.RABSI ) THEN
          IINDIC = NINT( Z_DONNEES(1,JO) )
          WRITE (CLINDIC(8:10),'(I3.3)') IINDIC
          ILPREND = 0
          DO JSAT=1,MNBSATSEL(N_SATEM)
            IF ( IINDIC.EQ.MNOSATSEL(N_SATEM,JSAT) ) ILPREND = 1
          ENDDO
          IF ( ILPREND.EQ.0 ) THEN
            ILYEST = 0
            DO JSAT=1,I_NB_SAT_OUT
              IF ( CLINDIC(8:10).EQ.CLSATOUT(JSAT) ) ILYEST = JSAT
            ENDDO
            IF ( ILYEST.EQ.0 ) THEN
              I_NB_SAT_OUT = I_NB_SAT_OUT + 1
              IF ( I_NB_SAT_OUT.LE.10 ) THEN
                CLSATOUT(I_NB_SAT_OUT)  = CLINDIC(8:10)
                INBSATOUT(I_NB_SAT_OUT) = 1
              ENDIF
            ELSE IF ( ILYEST.LE.10 ) THEN
              INBSATOUT(ILYEST) = INBSATOUT(ILYEST) + 1
            ENDIF
            CYCLE BOUCLE_MESSAGE
          ENDIF
          IOLD   = 0
          IF ( IINDIC.EQ.037 .OR. IINDIC.EQ.038 .OR.
     &         IINDIC.EQ.236 .OR. IINDIC.EQ.238 .OR.
     &         IINDIC.EQ.239                         ) THEN
            IOLD = 1
            ISATNO = MOD( NINT( Z_DONNEES(1,JO) ) , 100 )
            ISATPR = NINT( Z_DONNEES(1,JO) ) / 100
            IF ( ISATNO.EQ.36 ) THEN
              INSAT = 203
            ELSE IF ( ISATNO.EQ.37 ) THEN
              INSAT = 204
            ELSE IF ( ISATNO.EQ.38 ) THEN
              INSAT = 205
            ELSE IF ( ISATNO.EQ.39 ) THEN
              INSAT = 206
            ELSE
              CYCLE BOUCLE_MESSAGE
            ENDIF
            IF ( ISATPR.EQ.0 ) THEN
              INPRO = 211
            ELSE IF ( ISATPR.EQ.2 ) THEN
              INPRO = 7
            ELSE
              CYCLE BOUCLE_MESSAGE
            ENDIF
          ELSE
            IOLD  = 0
            INSAT = IINDIC
            IF ( Z_DONNEES(95,JO).NE.RABSI ) THEN
              INPRO = NINT( Z_DONNEES(95,JO) )
            ELSE
              INPRO = 7
            ENDIF
          ENDIF
          ILVESAT = 0
          DO JST=1,NBSTSAT
            IF ( INSAT.EQ.MSTSATID(JST) ) ILVESAT = JST
          ENDDO
          IF ( ILVESAT.EQ.0 ) CYCLE BOUCLE_MESSAGE
            ILVEPRD = 0
          IF ( INPRO.EQ.211 .OR. INPRO.EQ.7 ) THEN
            DO JST=1,NBSTPRD
              IF ( INPRO.EQ.MSTPRDID(JST) ) ILVEPRD = JST
            ENDDO
            IF ( ILVEPRD.EQ.0 ) CYCLE BOUCLE_MESSAGE
          ELSE IF ( IOLD.EQ.0 .AND. INPRO.EQ.0 ) THEN
            ILVEPRD = JPXSTPRD + 1
          ENDIF

!  conversion nouveaux/anciens identifiants

          IF ( INPRO.EQ.211 ) THEN
            IF ( INSAT.EQ.204 ) THEN
              IOIND = 037
            ELSE IF ( INSAT.EQ.205 ) THEN
              IOIND = 038
            ELSE IF ( INSAT.EQ.206 ) THEN
              IOIND = 040
            ENDIF
          ELSE IF ( INSAT.EQ.205 ) THEN
            IOIND = 239
          ELSE IF ( INSAT.EQ.203 ) THEN
            IOIND = 236
          ELSE IF ( INSAT.EQ.206 ) THEN
            IOIND = 237
          ENDIF
          WRITE (CLINDIC(8:10),'(I3.3)') IOIND

!  finalement on ne prend pas les SATEM NOAA15 Lannion

          IF ( IOIND.EQ.040 ) CYCLE BOUCLE_MESSAGE
        ELSE
          CYCLE BOUCLE_MESSAGE
        ENDIF

        IINDIC = IOIND

        IF ( I_CQ_BDM(15,JO).NE.NABSI ) ICQLAT = INCQ(I_CQ_BDM(15,JO))
        IF ( I_CQ_BDM(16,JO).NE.NABSI ) ICQLON = INCQ(I_CQ_BDM(16,JO))
        IF ( I_CQ_BDM(10,JO).NE.NABSI .AND. I_CQ_BDM(11,JO).NE.NABSI
     &       .AND. I_CQ_BDM(12,JO).NE.NABSI )
     &    ICQDAT = MAX0( INCQ(I_CQ_BDM(10,JO)) ,
     &                   MAX0( INCQ(I_CQ_BDM(11,JO)) ,
     &                         INCQ(I_CQ_BDM(12,JO)) ) )
        IF ( I_CQ_BDM(13,JO).NE.NABSI .AND. I_CQ_BDM(14,JO).NE.NABSI )
     &    ICQETM = MAX0(INCQ(I_CQ_BDM(13,JO)),INCQ(I_CQ_BDM(14,JO)))
        IRFL = ICQALT*10000 + ICQETM*1000 + ICQDAT*100 + ICQLON*10 +
     &         ICQLAT

        IF ( Z_DONNEES(8,JO).NE.RABSI )
     &    ISTD = INT(Z_DONNEES(8,JO)+REPSILON)

        IF ( Z_DONNEES(4,JO).NE.RABSI ) THEN
          IF ( ISTD.NE.NABSI ) THEN
            ISTD = ISTD + INT(Z_DONNEES(4,JO)+REPSILON)*1000
          ELSE
            ISTD = INT(Z_DONNEES(4,JO)+REPSILON) * 1000
          ENDIF
        ENDIF

!  Saisie des wagons

!  composition du code qualite (IFLG) :

!     bits 1 et 2   code qualite coordonnee verticale
!     bits 3 et 4   code qualite parametre mesure
!     bit    12     coordonnee verticale en Pascals

        INBP = 0

!  profil de temperatures virtuelles

        DO JTV=1,14
          ID = 23 + (JTV-1)*4
          ICQCV = 3
          IF ( I_CQ_BDM(ID+2,JO).NE.NABSI ) ICQCV = I_CQ_BDM(ID+2,JO)
          IF ( Z_DONNEES(ID+4,JO).NE.RABSI .AND.
     &         I_CQ_BDM(ID+1,JO).NE.2       .AND.
     &         I_CQ_BDM(ID+2,JO).NE.2       .AND.
     &         I_CQ_BDM(ID+4,JO).NE.2             ) THEN
            INBP = INBP + 1
            IVNM(INBP) = NVNUMB(67)
            ZPOB(INBP) = Z_DONNEES(ID+2,JO)
            ZPRL(INBP) = Z_DONNEES(ID+1,JO)
            ZVAR(INBP) = Z_DONNEES(ID+4,JO)
            ICQPA      = 3
            IF ( I_CQ_BDM(ID+4,JO).NE.NABSI ) ICQPA = I_CQ_BDM(ID+4,JO)
            IFLG(INBP) = 0
            IFLG(INBP) = KBITEC(IFLG(INBP),ICQCV,1)
            IFLG(INBP) = KBITEC(IFLG(INBP),ICQPA,3)
            IFLG(INBP) = KBITEC(IFLG(INBP),ICQUN,12)
          ENDIF
        ENDDO

!  profil de contenus en eau precipitable

        DO JQEP=1,3
          ID = 79 + (JQEP-1)*4
          IF ( Z_DONNEES(ID+4,JO).NE.RABSI .AND.
     &         I_CQ_BDM(ID+1,JO).NE.2       .AND.
     &         I_CQ_BDM(ID+2,JO).NE.2       .AND.
     &         I_CQ_BDM(ID+4,JO).NE.2             ) THEN
            INBP = INBP + 1
            IVNM(INBP) = NVNUMB(6)
            ZPOB(INBP) = Z_DONNEES(ID+2,JO)
            ZPRL(INBP) = Z_DONNEES(ID+1,JO)
            ZVAR(INBP) = Z_DONNEES(ID+4,JO)
            ICQPA      = 3
            IF ( I_CQ_BDM(ID+4,JO).NE.NABSI ) ICQPA = I_CQ_BDM(ID+4,JO)
            IFLG(INBP) = 0
            IFLG(INBP) = KBITEC(IFLG(INBP),ICQCV,1)
            IFLG(INBP) = KBITEC(IFLG(INBP),ICQPA,3)
            IFLG(INBP) = KBITEC(IFLG(INBP),ICQUN,12)
          ENDIF
        ENDDO

!  Temporairement les parties C des messages SATEM ne sont pas retenues
!  --------------------------------------------------------------------

      ILSAUTE = 1
      IF ( ILSAUTE.EQ.1 ) GOTO 201

!  Saisie de l'eventuelle partie C du meme message SATEM

        JOD = JO + 1

        DO JOS=JOD,I_NB_MESS
          IF ( ICODM(JOS).EQ.1 ) CYCLE
          ZLATB = Z_DONNEES(15,JOS)
          ZLONB = Z_DONNEES(16,JOS)
          IF ( Z_DONNEES(1,JOS).NE.RABSI )
     &      IINDICB = NINT( Z_DONNEES(1,JOS) )

!  complement du profil de temperatures virtuelles

          IF ( ZLATB.EQ.ZLAT .AND. ZLONB.EQ.ZLON .AND.
     &         IINDICB.EQ.IINDIC                       ) THEN
            DO JTV=1,3
              ID = 23 + (JTV-1)*4
              IF ( Z_DONNEES(ID+4,JOS).NE.RABSI .AND.
     &             I_CQ_BDM(ID+1,JOS).NE.2      .AND.
     &             I_CQ_BDM(ID+2,JOS).NE.2      .AND.
     &             I_CQ_BDM(ID+4,JOS).NE.2            ) THEN
                INBP = INBP + 1
                IVNM(INBP) = NVNUMB(67)
                ZPOB(INBP) = Z_DONNEES(ID+2,JOS)
                ZPRL(INBP) = Z_DONNEES(ID+1,JOS)
                ZVAR(INBP) = Z_DONNEES(ID+4,JOS)
                ICQPA      = 3
                IF ( I_CQ_BDM(ID+4,JO).NE.NABSI )
     &            ICQPA = I_CQ_BDM(ID+4,JO)
                IFLG(INBP) = 0
                IFLG(INBP) = KBITEC(IFLG(INBP),ICQCV,1)
                IFLG(INBP) = KBITEC(IFLG(INBP),ICQPA,3)
                IFLG(INBP) = KBITEC(IFLG(INBP),ICQUN,12)
              ENDIF
            ENDDO
            ICODM(JOS) = 1
            CYCLE
          ENDIF

        ENDDO

 201    INLV = INBP
        IRLN = NCILET + INLV*NCILBO

!  Copie de l'observation sur le fichier d'obs.

        IF ( INBP.GT.0 ) THEN
          INBSAT(ILVESAT,ILVEPRD) = INBSAT(ILVESAT,ILVEPRD) + 1
          WRITE (CLSAT(ILVESAT,ILVEPRD)(1:3),'(I3.3)') INSAT
          WRITE (CLPROD(ILVESAT,ILVEPRD)(1:3),'(I3.3)') INPRO
          IPTOP(ILVEPRD) = IPTOP(ILVEPRD) + 1
          IPTOS(ILVESAT) = IPTOS(ILVESAT) + 1

           write(wagon,fmt=wagon_prov) INBP
	   fmt_final = trim(adjustl(entete))//trim(adjustl(wagon))//")"

          WRITE (NULOBI,fmt_final) IRLN,IOTP,IOCH,ZLAT,ZLON,CLINDIC,
     &                     IDAT,IETM,ZALT,INLV,IRFL,ISTD,
     &                     (IVNM(J),ZPOB(J),ZPRL(J),ZVAR(J),
     &                     IFLG(J),J=1,INBP)
          KNBMECR = KNBMECR + 1
          KNBWAG  = KNBWAG + INBP

          IF ( L_GEOPOINTS ) THEN
            ITPM = MOD( IOCH , 1000 )
            WRITE (NULGEO,'(F11.5,F11.5,I5)') ZLON,ZLAT,ITPM
          ENDIF
        ENDIF

      ENDDO BOUCLE_MESSAGE

!-----------------------------------------------------------------------

!  Impressions
!  -----------

      ITOT = 0
      DO J=1,JPXSTSAT
        DO JJ=1,JPXSTPRD+1
          IPTOP(JJ) = 0
          CLPRP(JJ) = '     '
          ITOT      = ITOT + INBSAT(J,JJ)
        ENDDO
      ENDDO

      IF ( ITOT.GT.0 ) THEN
        WRITE (NULOUT,301)
        DO J=1,JPXSTSAT
          CLSATF = '   '
          CLPRS  = '     '
          ITOTP  = 0
          DO JJ=1,JPXSTPRD+1
            CLPROVI(JJ) = '     '
            IF ( INBSAT(J,JJ).GT.0 ) THEN
              ITOTP  = ITOTP + INBSAT(J,JJ)
              CLSATF = CLSAT(J,JJ)
              WRITE (CLPROVI(JJ),'(I5)') INBSAT(J,JJ)
              WRITE (CLPRS,'(I5)') ITOTP
              IPTOP(JJ) = IPTOP(JJ) + INBSAT(J,JJ)
            ENDIF
          ENDDO
          IF ( ITOTP.GT.0 ) WRITE (NULOUT,302) CLSATF,
     &      (CLPROVI(JJ),JJ=1,JPXSTPRD+1),CLPRS
        ENDDO
        DO J=1,JPXSTPRD+1
          IF ( IPTOP(J).GT.0 ) WRITE (CLPRP(J),'(I5)') IPTOP(J)
        ENDDO
        WRITE (CLPRP(JPXSTPRD+2),'(I5)') ITOT
        WRITE (NULOUT,303) CLPRP
      ENDIF
      DO J=1,10
        IF ( INBSATOUT(J).GT.0 )
     &    WRITE (CLNBSATOUT(J),'(I6)') INBSATOUT(J)
      ENDDO
      IF ( I_NB_SAT_OUT.GT.0 ) WRITE (NULOUT,304) CLSATOUT,CLNBSATOUT

 301  FORMAT(/,4X,' Extraction des messages SATEM ',/,5X,29('-'),//,
     &       28X,'------- producteurs ------- ',/,'    num. satel',
     &       'lite      Lannion        Nesdis        autre       ',
     &       '      Totaux ',/)
 302  FORMAT(10X,A3,12X,A5,9X,A5,9X,A5,13X,A5)
 303  FORMAT(/,8X,'Totaux',11X,A5,9X,A5,9X,A5,13X,A5,///)
 304  FORMAT(/,' Satellites extraits, non retenus : ',10(3X,A3,2X),/,
     &       36X,10(A6,2X))

!-----------------------------------------------------------------------

      RETURN
      END
