C
C  CD YOMFTHERMO : comdeck contenant les functions ilnine des fonctions
C  -------------   thermodynamiques
C  Auteur        : Ph. Caille                                  11/97
C-----------------------------------------------------------------------
C  fonctions thermodynamiques absolues
C  -----------------------------------
C  RLV : chaleur latente de vaporisation
C  RLS : chaleur latente de sublimation
C  RLF : chaleur latente de fusion
C  ESW : saturation en presence d'eau
C  ESS : saturation en presence de glace
C  ES  : saturation (si T > RTT eau, si T < RTT glace)
C
C  PTARG : temperature
C
      RLV(PTARG) = RLVTT + ( RCPV - RCW ) * ( PTARG - RTT )
      RLS(PTARG) = RLSTT + ( RCPV - RCS ) * ( PTARG - RTT )
      RLF(PTARG) = RLS(PTARG) - RLV(PTARG)
      ESW(PTARG) = EXP( RALPW - RBETW/PTARG - RGAMW*LOG(PTARG) )
      ESS(PTARG) = EXP( RALPS - RBETS/PTARG - RGAMS*LOG(PTARG) )
      ES (PTARG) = EXP(
     S           (RALPW+RALPD*MAX(0.,SIGN(1.,RTT-PTARG)))
     S          -(RBETW+RBETD*MAX(0.,SIGN(1.,RTT-PTARG)))/PTARG
     S          -(RGAMW+RGAMD*MAX(0.,SIGN(1.,RTT-PTARG)))*LOG(PTARG))
C-----------------------------------------------------------------------
C  fonctions thermodynamiques definies de la physique
C
C  Tension de vapeur saturante
C  ---------------------------
C  PTARG   : temperature
C  PDELARG : 0 si eau, quel que soit PTARG
C            1 si glace, quel que soit PTARG
C
      FOEW ( PTARG,PDELARG ) = EXP (
     S     ( RALPW+PDELARG*RALPD )
     S   - ( RBETW+PDELARG*RBETD ) / PTARG
     S   - ( RGAMW+PDELARG*RGAMD ) * LOG(PTARG) )
C
C  fonction derive du logarithme neperien de la precedente
C  -------------------------------------------------------
C  PTARG   : temperature
C  PDELARG : 0 si eau, quel que soit PTARG
C            1 si glace, quel que soit PTARG
C
      FODLEW ( PTARG,PDELARG ) = (
     S       ( RBETW+PDELARG*RBETD )
     S     - ( RGAMW+PDELARG*RGAMD ) * PTARG )
     S     / ( PTARG*PTARG )
C
C  Humidite specifique saturante
C  -----------------------------
C  PESPFAR : rapport FOEW sur pression
C
      FOQS ( PESPFAR ) = PESPFAR / ( 1.+RETV*MAX(0.,(1.-PESPFAR)) )
C
C  fonction derivee en temperature de la precedente (FOQS)
C  -------------------------------------------------------
C  PQSFARG : FOQS
C  PESPFAR : rapport FOEW sur pression
C  PDLEFAR : FODLEW
C
      FODQS ( PQSFARG,PESPFAR,PDLEFAR ) = ( PQSFARG
     *    * (1.-PQSFARG)*PDLEFAR ) / (1.-PESPFAR)
C
C  Chaleur latente
C  ---------------
C  PTARG   : temperature
C  PDELARG : 0 si eau, quel que soit PTARG
C            1 si glace, quel que soit PTARG
C
      FOLH ( PTARG,PDELARG ) =  RV * (
     *     ( RBETW+PDELARG*RBETD )
     *   - ( RGAMW+PDELARG*RGAMD ) * PTARG )
C-----------------------------------------------------------------------
