      SUBROUTINE OULAN_INIT

!-------------------------------------------------------------------
! Modifications
!    12/06/2007 :F Guillaume : extraction PAOB pour Aladin Reunion
!    02/04/2008 :F Guillaume : rajout nom de base ODB cible et
!                              ecriture des BATORMAP ref. et reel
!    08/11/2012 :              init les cles pour les precip
!    01/09/2014 :              init la clef LASCII
!-------------------------------------------------------------------

!  - 0 -  Declaration et initialisations des variables
!         --------------------------------------------

      IMPLICIT LOGICAL(L)

#include "oulan_pardimo.h"
#include "oulan_yomtomv.h"
#include "oulan_yompin.h"
#include "oulan_yomcsts.h"
#include "oulan_yomdirs.h"

      REAL*8   ZUN

      ZUN = 1.

!--------------------------------------------------------------------

!  - 1 -  initialisation comdeck YOMTOMV
!         ------------------------------

      NSYNOP   =    1
      NAIREP   =    2
      NSATOB   =    3
      NDRIBU   =    4
      NTEMP    =    5
      NPILOT   =    6
      NSATEM   =    7
      NPAOB    =    8
      NSCATT   =    9
      NRAWRA   =   10

      NSRSCD   =   11
      NATSCD   =   14
      NSYRCD   =   15
      NRADOH   =   16
      NSHSCD   =   21
      NABSCD   =   22
      NSHRED   =   23
      NATSHS   =   24
      NAIRCD   =  141
      NCODAR   =   41
      NCOLBA   =  241
      NAMDAR   =  144
      NACARS   =  145
      NSIMAI   =  142
      NSTBCD   =   88
      NSTB86   =   89
      NSST     =  188
      NSTB87   =   90
      NDRBCD   =  165
      NBATHY   =   63
      NTESAC   =   64
      NDERS1   =  160
      NLDTCD   =   35
      NSHTCD   =   36
      NTDROP   =  135
      NROCOB   =   39
      NROCSH   =   40
      NMBTMP   =   37
      NSIMTE   =  137
      NLDPCD   =   32
      NSHPCD   =   33
      NWPPCD   =   34
      NEWPCD   =  134
      NMBPLT   =  132
      NSTMCD   =   86
      NSTR03   =  206
      NSTOVS   =  186
      NSTDWL   =  185
      NSTTOV   =  184
      NGTSTB   =  200
      NGTST1   =  201
      NGTST2   =  202
      NGTHRB   =  210
      NGTHR1   =  211
      NGTHR2   =  212
      NSSMI    =  215
      NPABCD   =  180
      NTYPHO   =  181
      NSCAT1   =    8
      NSCAT2   =  122
      NSCAT3   =  511
      NSCAT4   =  300
      NSCAT5   =  301
      NRARA1   =    1

      NPRESVC  =    1
      NHEIGVC  =    2
      NTOVCVC  =    3
      NSCACVC  =    4
      NPGPS    =  110

      NVNUMB( 1) =   3
      NVNUMB( 2) =   4
      NVNUMB( 3) =   1
      NVNUMB( 4) =  57
      NVNUMB( 5) =  29
      NVNUMB( 6) =   9
      NVNUMB( 7) =  58
      NVNUMB( 8) =   2
      NVNUMB( 9) =  59
      NVNUMB(10) =  39
      NVNUMB(11) =  40
      NVNUMB(12) =  11
      NVNUMB(13) =  30
      NVNUMB(14) =  60
      NVNUMB(15) =  61
      NVNUMB(16) =  62
      NVNUMB(17) =  63
      NVNUMB(18) =  64
      NVNUMB(19) =  65
      NVNUMB(20) =  66
      NVNUMB(21) =  67
      NVNUMB(22) =  68
      NVNUMB(23) =  69
      NVNUMB(24) =  70
      NVNUMB(25) =  71
      NVNUMB(26) =  72
      NVNUMB(27) =  73
      NVNUMB(28) =  74
      NVNUMB(29) =  75
      NVNUMB(30) =  76
      NVNUMB(31) =  77
      NVNUMB(32) =  78
      NVNUMB(33) =  79
      NVNUMB(34) =  80
      NVNUMB(35) =  81
      NVNUMB(36) =  82
      NVNUMB(37) =  83
      NVNUMB(38) =  84
      NVNUMB(39) =  85
      NVNUMB(40) =  86
      NVNUMB(41) =  87
      NVNUMB(42) =  88
      NVNUMB(43) =  89
      NVNUMB(44) =  90
      NVNUMB(45) =  91
      NVNUMB(46) =  92
      NVNUMB(47) = 110
      NVNUMB(48) = 111
      NVNUMB(49) = 112
      NVNUMB(50) = 119
      NVNUMB(51) = 120
      NVNUMB(52) = 121
      NVNUMB(53) = 122
      NVNUMB(54) =   5
      NVNUMB(55) =   6
      NVNUMB(56) =  41
      NVNUMB(57) =  42
      NVNUMB(58) =  19
      NVNUMB(59) = 200
      NVNUMB(60) = 123
      NVNUMB(61) = 124
      NVNUMB(62) = 125
      NVNUMB(63) =   7
      NVNUMB(64) = 126
      NVNUMB(65) = 127
      NVNUMB(66) =   8
      NVNUMB(67) =  56
      NVNUMB(68) = 130
      NVNUMB(69) = 128
      NVNUMB(70) = 108

      N_SYNOP       =  1
      N_SHIP        =  2
      N_SYNOR       =  3
      N_AIREP       =  4
      N_AMDAR       =  5
      N_ACAR        =  6
      N_SATOB       =  7
      N_SATGEO      =  8
      N_BUOY        =  9
      N_BATHY       = 10
      N_TESAC       = 11
      N_TEMP        = 12
      N_TEMPSHIP    = 13
      N_TEMPDROP    = 14
      N_TEMPMOBIL   = 15
      N_PILOT       = 16
      N_PILOTSHIP   = 17
      N_PILOTMOBIL  = 18
      N_EUROPROFIL  = 19
      N_PROFILER    = 20
      N_SATEM       = 21
      N_TOVS120     = 22
      N_ATOVS       = 23
      N_TOVSHIRS    = 24
      N_TOVSMSU     = 25
      N_TOVSAMSUA   = 26
      N_CYCLONE     = 27
      N_SSMI        = 28
      N_ERS1UWI     = 29
      N_RADOMEH     = 30
!      N_GEOWIND     = 31
!      N_QUIKSCAT    = 32
      N_SSMICE      = 33
      N_AIRSBT      = 34
      N_TOVSAMSUB   = 35
!      N_GEORAD      = 36
      N_GPSSOL      = 37
      N_PAOBREU     = 38

      CDTPMBDM      = '          '

      CDTPMBDM( 1)  = 'SYNOP     '
      CDTPMBDM( 2)  = 'SHIP      '
      CDTPMBDM( 3)  = 'SYNOR     '
      CDTPMBDM( 4)  = 'AIREP     '
      CDTPMBDM( 5)  = 'AMDAR     '
      CDTPMBDM( 6)  = 'ACAR      '
      CDTPMBDM( 7)  = 'SATOB     '
      CDTPMBDM( 8)  = 'SATGEO    '
      CDTPMBDM( 9)  = 'BUOY      '
      CDTPMBDM(10)  = 'BATHY     '
      CDTPMBDM(11)  = 'TESAC     '
      CDTPMBDM(12)  = 'TEMP      '
      CDTPMBDM(13)  = 'TEMPSHIP  '
      CDTPMBDM(14)  = 'TEMPDROP  '
      CDTPMBDM(15)  = 'TEMPMOBIL '
      CDTPMBDM(16)  = 'PILOT     '
      CDTPMBDM(17)  = 'PILOTSHIP '
      CDTPMBDM(18)  = 'PILOTMOBIL'
      CDTPMBDM(19)  = 'EUROPROFIL'
      CDTPMBDM(20)  = 'PROFILER  '
      CDTPMBDM(21)  = 'SATEM     '
      CDTPMBDM(22)  = 'TOVS120   '
      CDTPMBDM(23)  = 'ATOVS     '
      CDTPMBDM(24)  = 'TOVSHIRS  '
      CDTPMBDM(25)  = 'TOVSMSU   '
      CDTPMBDM(26)  = 'TOVSAMSUA '
      CDTPMBDM(27)  = 'CYCLONE   '
      CDTPMBDM(28)  = 'SSMI      '
      CDTPMBDM(29)  = 'ERS1UWI   '
      CDTPMBDM(30)  = 'RADOMEH   '
!      CDTPMBDM(31)  = 'GEOWIND   '
!      CDTPMBDM(32)  = 'QUIKSCAT  '
      CDTPMBDM(33)  = 'SSMICE    '
      CDTPMBDM(34)  = 'AIRSBT    '
      CDTPMBDM(35)  = 'TOVSAMSUB '
!      CDTPMBDM(36)  = 'GEORAD    '
      CDTPMBDM(37)  = 'GPSSOL    '
      CDTPMBDM(38)  = 'PAOB      '

!--------------------------------------------------------------------

!  - 2 -  initialisation comdeck YOMCSTS
!         ------------------------------


!  2.1  unites logiques
!       ---------------

      NULOUT   = 6 
      NULOBI   = 1
      NULNAM   = 5 
      NULGEO   = 16
      NULRFD   = 19
      NULMAP   = 17
      NULMAPR  = 18

!  2.2  valeurs manquantes
!       ------------------

      NABSI    = 999999
      RABSI    = 1.7000E+38
      NABSO    = NABSI
      RABSO    = RABSI

!  2.3  constantes fondamentales
!       ------------------------

      RPI   = 2. * ASIN(1.)
      RCLUM = 299792458.
      RHPLA = 6.6260755E-34
      RKBOL = 1.380658E-23
      RNAVO = 6.0221367E+23

!  2.4  constantes relatives a la geoide
!       --------------------------------

      RG    = 9.80665
      RA    = 6371229.
      R1SA  = SNGL(1.D0/DBLE(RA))

!  2.5  constantes radiatives
!       ---------------------

      RSIGMA = 2. * RPI**5 * RKBOL**4 / ( 15.* RCLUM**2 * RHPLA**3 )
      RI0    = 1370.

!  2.6  constantes thermodynamique, phase gazeuse
!       -----------------------------------------

      R      = RNAVO * RKBOL
      RMD    = 28.9644
      RMV    = 18.0153
      RMO3   = 47.9942
      RD     = 1000. * R / RMD
      RV     = 1000. * R / RMV
      RCPD   = 3.5 * RD
      RCVD   = RCPD - RD
      RCPV   = 4. * RV
      RCVV   = RCPV - RV
      RKAPPA = RD / RCPD
      RETV   = RV / RD - 1.

!  2.7  constante thermodynamique, phase liquide
!       ----------------------------------------

      RCW    = 4218.

!  2.8  constante thermodynamique, phase solide
!       ----------------------------------------

      RCS    = 2106.

!  2.9  constantes thermodynamiques, transition de phases
!       -------------------------------------------------

      RTT    = 273.16
      RDT    = 11.82
      RLVTT  = 2.5008E+6
      RLSTT  = 2.8345E+6
      RLVZER = RLVTT + RTT * (RCW-RCPV)
      RLSZER = RLSTT + RTT * (RCS-RCPV)
      RLMLT  = RLSTT - RLVTT
      RATM   = 100000.

!  2.10  tension de vapeur saturante
!        ---------------------------

      RESTT  = 611.14
      RGAMW  = (RCW-RCPV) / RV
      RBETW  = RLVTT/RV + RGAMW*RTT
      RALPW  = LOG(RESTT) + RBETW/RTT + RGAMW*LOG(RTT)
      RGAMS  = (RCS-RCPV) / RV
      RBETS  = RLSTT/RV + RGAMS*RTT
      RALPS  = LOG(RESTT) + RBETS/RTT + RGAMS*LOG(RTT)
      RGAMD  = RGAMS - RGAMW
      RBETD  = RBETS - RBETW
      RALPD  = RALPS - RALPW

!  2.11  autres constantes
!        -----------------

      RDERAD   = RPI / 180.
      RADDEG   = 180. / RPI
      RLOG10   = ALOG(10.)
      RCOEF    = RD * RLOG10 / RG
      REPSILON = 1.E-15

!--------------------------------------------------------------------

!  - 3 -  initialisation des NAMELIST NADIRS et NANBOB
!         --------------------------------------------

!  - 3.1 -  initialisation  NADIRS
!           ----------------------

      CNAMEOBSOUL=''
      CNAMEBASE  =''

      NDATE              = 0
      NRESO              = 0
      NDIFFM1            = 300
      NDIFFP1            = 259
      NDIFFM2            = 300
      NDIFFP2            = 259
      NDIFFCO            = 0
      NINIT              = 0

      LSYNOP             = .FALSE.
      LSHIP              = .FALSE.
      LSYNOR             = .FALSE.
      LRADOMEH           = .FALSE.
      LCYCLONE           = .FALSE.
      LAIREP             = .FALSE.
      LAMDAR             = .FALSE.
      LSATOB             = .FALSE.
      LSATGEO            = .FALSE.
!      LGEOWIND           = .FALSE.
      LBUOY              = .FALSE.
      LBATHY             = .FALSE.
      LTESAC             = .FALSE.
      LTEMP              = .FALSE.
      LTEMPSHIP          = .FALSE.
      LTEMPMOBIL         = .FALSE.
      LPILOT             = .FALSE.
      LPILOTSHIP         = .FALSE.
      LPILOTMOBIL        = .FALSE.
      LEUROPROFIL        = .FALSE.
      LPROFILER          = .FALSE.
      LSATEM             = .FALSE.
      LMOD1C             = .FALSE.
      LTOVS120           = .FALSE.
      LHIRS              = .FALSE.
      LMSU               = .FALSE.
      LSSU               = .FALSE.
      LTVQEP             = .FALSE.
      LATOVS             = .FALSE.
      LHIRSA             = .FALSE.
      LAMSUA             = .FALSE.
      LAMSUB             = .FALSE.
      LTOVSHIRS          = .FALSE.
      LTOVSMSU           = .FALSE.
      LTOVSAMSUA         = .FALSE.
      LTOVSAMSUB         = .FALSE.
      LAIRSBT            = .FALSE.
      LERS1UWI           = .FALSE.
      LSSMI              = .FALSE.
      LSSMICE            = .FALSE.
!      LQUIKSCAT          = .FALSE.
!      LGEORAD            = .FALSE.
      LGPSSOL            = .FALSE.
      LPAOB_REU          = .FALSE.

      LSSMIECH           = .TRUE.
      NSSMISAUT          = 4
      LAMSUAECH          = .TRUE.
      NAMSUASAUT         = 1
      LAMSUBECH          = .TRUE.
      NAMSUBSAUT         = 1
      LHIRSECH           = .TRUE.
      NHIRSSAUT          = -1
      
      L_GPSS_BLACK       = .TRUE.

!      L_EXTRACT_BUFR     = .FALSE.

!      L_GEOWIND_BUFR     = .FALSE.
!      L_AIRSBT_BUFR      = .FALSE.
!      L_GEORAD_BUFR      = .FALSE.
!      L_QUIKSCAT_BUFR    = .FALSE.
!      L_TAMSUA_BUFR      = .FALSE.

!      L_QUIKSCAT_OBSOUL  = .FALSE.

      L_TOVS_NESDIS      = .TRUE.
      L_TOVS_LANNION     = .FALSE.

      L_ATOVS_NESDIS     = .TRUE.
      L_ATOVS_LANNION    = .FALSE.

      L_TAMSUA_BRACK     = .TRUE.
      L_TAMSUA_CEP       = .FALSE.
      L_TAMSUA_LANNION   = .FALSE.
      L_TAMSUA_EUMETSAT  = .FALSE.

      L_TAMSUB_BRACK     = .TRUE.
      L_TAMSUB_CEP       = .FALSE.
      L_TAMSUB_LANNION   = .FALSE.
      L_TAMSUB_EUMETSAT  = .FALSE.

      L_THIRS_BRACK      = .TRUE.
      L_THIRS_CEP        = .FALSE.
      L_THIRS_LANNION    = .FALSE.
      L_THIRS_EUMETSAT   = .FALSE.

      CWHERE_BUOY        = '?'
      CWHERE_SHIP        = '?'

!      L_GW_IR            = .TRUE.
!      L_GW_VIS           = .TRUE.
!      L_GW_CLVW          = .TRUE.
!      L_GW_CSVW          = .FALSE.
!      L_GW_MVW           = .FALSE.

!      L_AIRSBT_AIRS      = .FALSE.
!      L_AIRSBT_AMSUA     = .TRUE.
      L_AIRSBT_HSB       = .FALSE.

!      L_AIRSBT_VISNIR    = .TRUE.
!      L_AIRSBT_WCH       = .TRUE.
!      L_AIRSBT_TB        = .TRUE.
!      L_AIRSBT_PX        = .TRUE.
!      L_AIRSBT_AMSUA_ECH = .TRUE.
!      NAIRSBTAMSUASAUT   = 1

      L_CUTOFF_C         = .FALSE.
      L_CUTOFF_L         = .FALSE.

      L_SAUT_DATE        = .FALSE.
      LCUTOFF            = .FALSE.
      L_GEOPOINTS        = .FALSE.
      LZONEA             = .TRUE.
      LZONEB             = .FALSE.
      LZONEC             = .FALSE.
      LNIVPA             = .FALSE.
      LNIVPB             = .FALSE.
      LNIVPC             = .FALSE.
      LRH2Q              = .TRUE.
      LFTSYSUP           = .FALSE.

      LTHIRSTB           = .TRUE.
      LTMSUTB            = .TRUE.
      LTAMSUATB          = .TRUE.
      LTAMSUBTB          = .TRUE.

! Cummulated precipitation on 1,3,6,12 and 24h 
      LRR01H             = .TRUE.
      LRR03H             = .TRUE.
      LRR06H             = .TRUE.
      LRR12H             = .TRUE.
      LRR24H             = .TRUE.
      LRRAUTRE           = .TRUE.
      
! key to force data extraction from SYNOP(/SHIP), TEMP(SHIP,MOBIL) from BdMO
      LASCII             = .FALSE.

      ALANZA             = 90.
      ALASZA             = -90.
      ALOOZA             = -180.
      ALOEZA             = 180.

      ALANZB             = 0.
      ALASZB             = 0.
      ALOOZB             = 0.
      ALOEZB             = 0.

      ALANZC             = 0.
      ALASZC             = 0.
      ALOOZC             = 0.
      ALOEZC             = 0.

      NIVPHA             = 1
      NIVPBA             = 200000

      NIVPHB             = 0
      NIVPBB             = 0

      NIVPHC             = 0
      NIVPBC             = 0

      MSTSATID           = 0
      MSTPRDID           = 0

      NBSTSAT            = 3

!  1 --> NOAA-11
!  2 --> NOAA-14
!  3 --> NOAA-15

      NBSTPRD            = 2

!  1 --> Lannion
!  2 --> Nesdis

      MSTSATID           = 203
      MSTSATID           = 205
      MSTSATID           = 206
      MSTPRDID           = 211
      MSTPRDID           =   7

      MNBSATSEL          = 0
      MNOSATSEL          = 0
      MNBOBS             = 0

!  selection des satellites pour les SATOB

      MNBSATSEL(N_SATOB)       = 5
      MNOSATSEL(N_SATOB,1)     = 253
      MNOSATSEL(N_SATOB,2)     = 254
      MNOSATSEL(N_SATOB,3)     = 256
      MNOSATSEL(N_SATOB,4)     = 420
      MNOSATSEL(N_SATOB,5)     = 171

!  selection des satellites pour les SATGEO

      MNBSATSEL(N_SATGEO)      = 2
      MNOSATSEL(N_SATGEO,1)    = 052
      MNOSATSEL(N_SATGEO,2)    = 054

!  selection des satellites pour les GEOWIND

!      MNBSATSEL(N_GEOWIND)     = 2
!      MNOSATSEL(N_GEOWIND,1)   = 052
!      MNOSATSEL(N_GEOWIND,2)   = 054

!  selection des satellites pour les SATEM

      MNBSATSEL(N_SATEM)       = 8
      MNOSATSEL(N_SATEM,1)     = 036
      MNOSATSEL(N_SATEM,2)     = 037
      MNOSATSEL(N_SATEM,3)     = 038
      MNOSATSEL(N_SATEM,4)     = 039
      MNOSATSEL(N_SATEM,5)     = 236
      MNOSATSEL(N_SATEM,6)     = 237
      MNOSATSEL(N_SATEM,7)     = 238
      MNOSATSEL(N_SATEM,8)     = 239

!  selection des satellites pour les TOVS120

      MNBSATSEL(N_TOVS120)     = 1
      MNOSATSEL(N_TOVS120,1)   = 205

!  selection des satellites pour les ATOVS

      MNBSATSEL(N_ATOVS)       = 2
      MNOSATSEL(N_ATOVS,1)     = 206
      MNOSATSEL(N_ATOVS,2)     = 207

!  selection des satellites pour les TOVSHIRS

      MNBSATSEL(N_TOVSHIRS)    = 2
      MNOSATSEL(N_TOVSHIRS,1)  = 207
      MNOSATSEL(N_TOVSHIRS,2)  = 208

!  selection des satellites pour les TOVSMSU

      MNBSATSEL(N_TOVSMSU)     = 1
      MNOSATSEL(N_TOVSMSU,1)   = 206

!  selection des satellites pour les TOVSAMSUA

      MNBSATSEL(N_TOVSAMSUA)   = 2
      MNOSATSEL(N_TOVSAMSUA,1) = 206
      MNOSATSEL(N_TOVSAMSUA,2) = 207

!  selection des satellites pour les TOVSAMSUB

      MNBSATSEL(N_TOVSAMSUB)   = 2
      MNOSATSEL(N_TOVSAMSUB,1) = 207
      MNOSATSEL(N_TOVSAMSUB,2) = 208

!  selection des satellites pour les SSMI

      MNBSATSEL(N_SSMI)        = 2
      MNOSATSEL(N_SSMI,1)      = 246
      MNOSATSEL(N_SSMI,2)      = 247

!  selection des satellites pour les SSMICE

      MNBSATSEL(N_SSMICE)      = 2
      MNOSATSEL(N_SSMICE,1)    = 246
      MNOSATSEL(N_SSMICE,2)    = 248

!  selection des satellites pour les QUIKSCAT

!      MNBSATSEL(N_QUIKSCAT)    = 1
!      MNOSATSEL(N_QUIKSCAT,1)  = 281

!  selection des satellites pour les AIRSBT

      MNBSATSEL(N_AIRSBT)      = 1
      MNOSATSEL(N_AIRSBT,1)    = 784

!  selection des satellites pour les GEORAD
!      MNBSATSEL(N_GEORAD)      = 1
!      MNOSATSEL(N_GEORAD,1)    = 055

      NBSYNOP         = 0
      NBSHIP          = 0
      NBSYNOR         = 0
      NBRADOMEH       = 0
      NBAIREP         = 0
      NBAMDAR         = 0
      NBACAR          = 0
      NBSATOB         = 0
      NBSATGEO        = 0
!      NBGEOWIND       = 0
      NBBUOY          = 0
      NBBATHY         = 0
      NBTESAC         = 0
      NBTEMP          = 0
      NBTEMPSHIP      = 0
      NBTEMPDROP      = 0
      NBTEMPMOBIL     = 0
      NBPILOT         = 0
      NBPILOTSHIP     = 0
      NBPILOTMOBIL    = 0
      NBSATEM         = 0
      NBTOVS120       = 0
      NBATOVS         = 0
      NBERS1UWI       = 0
      NBEUROPROFIL    = 0
      NBPROFILER      = 0
      NBSSMI          = 0
      NBSSMICE        = 0
!      NBQUIKSCAT      = 0
      NBCYCLONE       = 0
      NBTOVSHIRS      = 0
      NBTOVSMSU       = 0
      NBTOVSAMSUA     = 0
      NBTOVSAMSUB     = 0
      NBAIRSBT        = 0
!      NBGEORAD        = 0
      NBGPSSOL        = 0
      NBPAOBREU       = 0

!--------------------------------------------------------------------
 
!  - 4 -  initialisation comdeck YOMPIN
!         -----------------------------
 
      NCILET      =   12
      NCILBO      =    5

!--------------------------------------------------------------------

!  - 5 -   ouverture du listing d'execution
!          --------------------------------

      OPEN (NULOUT,FILE='OULOUTPUT',STATUS='UNKNOWN',FORM='FORMATTED')

!--------------------------------------------------------------------

      RETURN
      END
