      SUBROUTINE OULAN_NAMELIST
!-----------------------------------------------------------------------
!  SP OULAN_NAMELIST : lecture des NAMELISTS
!  -----------------
!  Auteur        : Ph. Caille                                   11/94
!  Modifications :
!    15/06/2006 :F Guillaume : blacklistage des GPSSOL
!    12/06/2007 :F Guillaume : extraction PAOB pour Aladin Reunion
!    02/04/2008 :F Guillaume : controles sur CNAMEOBSOUL et CNAMEBASE
!                              obligatoires dans NAMELIST NADIR
!-----------------------------------------------------------------------
      IMPLICIT LOGICAL(L)

      PARAMETER ( JP_NB_TYPE_OBS = 40 )

#include "oulan_pardimo.h"
#include "oulan_yomdirs.h"
#include "oulan_nadirs.h"
#include "oulan_yomnbob.h"
#include "oulan_nanbob.h"
#include "oulan_yomdate.h"
#include "oulan_yomtomv.h"
#include "oulan_yomcsts.h"

      CHARACTER   CL_EXP_RESS_UTIL*31,CL_DATE_RESS_PROD*14
      CHARACTER   CL_DATE_RUTIL*14
      CHARACTER   CLTYPO(JP_NB_TYPE_OBS)*3,CLNBOB(JP_NB_TYPE_OBS)*6
      CHARACTER   CLMOIS(12)*9,CLADAT*20,CLERESO*10
      CHARACTER   CLIMP1*90,CLIMP2*90,CLIMP3*90,CLIMP4*90,CLIMP5*90
      CHARACTER   CLBLAN*30,CLABORT*15
      CHARACTER   CLRH2Q*3,CLFTSY*3,CLCUTOFF*3,CLSATSEL(10)*3
      CHARACTER   CLSSMIECH*3,CLAMSUAECH*3,CLAMSUBECH*3,CLHIRSECH*3
      CHARACTER   CL_CUTOFF_C*3,CL_CUTOFF_L*3,CLSODAT*3,CLGEOPO*3
      CHARACTER   CL_T_NE*3,CL_T_LA*3,CL_AT_NE*3,CL_AT_LA*3
      CHARACTER   CL_TA_LA*3,CL_TA_BR*3,CL_TA_CEP*3,CL_TA_EUM*3
      CHARACTER   CL_TB_LA*3,CL_TB_BR*3,CL_TB_CEP*3,CL_TB_EUM*3
      CHARACTER   CL_TH_LA*3,CL_TH_BR*3,CL_TH_CEP*3,CL_TH_EUM*3
      CHARACTER   CL_TA_LA_AV*3,CL_TA_BR_AV*3,CL_TA_CE_AV*3
      CHARACTER   CL_TA_EU_AV*3,CL_TH_LA_AV*3,CL_TH_BR_AV*3
      CHARACTER   CL_TH_CE_AV*3,CL_TH_EU_AV*3,CL_GPSS_BLK*3
!      CHARACTER   CL_GW_MVW*3
!      CHARACTER   CL_GW_IR*3,CL_GW_VIS*3,CL_GW_CLVW*3,CL_GW_CSVW*3
!      CHARACTER   CL_TB_AIRS*3,CL_TB_AMSUA*3,CL_TB_HSB*3
      CHARACTER   CL_TB_HSB*3
!      CHARACTER   CL_QUIKSCAT_BUFR*3,CL_QUIKSCAT_OBSOUL*3
!      CHARACTER   CL_AIRSBT_AMSUA_ECH*3
!      CHARACTER   CL_AIRSBT_VISNIR*3,CL_AIRSBT_WCH*3
      INTEGER     ILNMOIS(12)

      CLADAT        = '                    '
      CLERESO       = '   heures '
      CLABORT       = 'OULAN_NAMELIST '
      CDATDEB(1)    = '              '
      CDATDEB(2)    = '              '
      CDATFIN(1)    = '              '
      CDATFIN(2)    = '              '

      CLMOIS( 1)    = 'janvier  '
      CLMOIS( 2)    = 'fevrier  '
      CLMOIS( 3)    = 'mars     '
      CLMOIS( 4)    = 'avril    '
      CLMOIS( 5)    = 'mai      '
      CLMOIS( 6)    = 'juin     '
      CLMOIS( 7)    = 'juillet  '
      CLMOIS( 8)    = 'aout     '
      CLMOIS( 9)    = 'septembre'
      CLMOIS(10)    = 'octobre  '
      CLMOIS(11)    = 'novembre '
      CLMOIS(12)    = 'decembre '

      ILNMOIS( 1)   =  8
      ILNMOIS( 2)   =  8
      ILNMOIS( 3)   =  5
      ILNMOIS( 4)   =  6
      ILNMOIS( 5)   =  4
      ILNMOIS( 6)   =  5
      ILNMOIS( 7)   =  8
      ILNMOIS( 8)   =  5
      ILNMOIS( 9)   = 11
      ILNMOIS(10)   =  9
      ILNMOIS(11)   = 10
      ILNMOIS(12)   = 10

      CLIMP1( 1:45) = '  lat. nord zone A  : -xxx.xx   lat. nord zon'
      CLIMP1(46:90) = 'e B  : -xxx.xx   lat. nord zone C  : -xxx.xx '
      CLIMP2( 1:45) = '  lat. sud zone A   : -xxx.xx   lat. sud zone'
      CLIMP2(46:90) = ' B   : -xxx.xx   lat. sud zone C   : -xxx.xx '
      CLIMP3( 1:45) = '  lon. ouest zone A : -xxx.xx   lon. ouest zo'
      CLIMP3(46:90) = ' B   : -xxx.xx   lon. ouest zone C : -xxx.xx '
      CLIMP4( 1:45) = '  lon. est zone A   : -xxx.xx   lon. est zone'
      CLIMP4(46:90) = ' B   : -xxx.xx   lon. est zone C   : -xxx.xx '
      CLIMP5( 1:30) = '         LZONEA = .F.         '
      CLIMP5(31:60) = '         LZONEB = .F.         '
      CLIMP5(61:90) = '         LZONEC = .F.         '

      CLBLAN        = '                              '
      CLTYPO        = '   '
      CLNBOB        = '      '

!-----------------------------------------------------------------------

      OPEN (NULNAM,FILE='NAMELIST',STATUS='OLD',FORM='FORMATTED')
      READ (NULNAM,NADIRS,ERR=101,END=102)
      REWIND (NULNAM)
      READ (NULNAM,NANBOB,ERR=103,END=104)
      CLOSE (NULNAM)
      GOTO 105

 101  WRITE (NULOUT,407)
      CALL OULAN_ERREUR(CLABORT)

 102  WRITE (NULOUT,408)
      CALL OULAN_ERREUR(CLABORT)

 103  WRITE (NULOUT,409)
      CALL OULAN_ERREUR(CLABORT)

 104  WRITE (NULOUT,410)
      CALL OULAN_ERREUR(CLABORT)

 105  CONTINUE

!-----------------------------------------------------------------------

!  controle sur CNAMEOBSOUL et CNAMEBASE
!  -----------------------------------------
      CNAMEOBSOUL = adjustl(CNAMEOBSOUL)
      CNAMEBASE   = adjustl(CNAMEBASE)

      IF (len_trim(CNAMEOBSOUL) == 0) THEN
        WRITE(NULOUT,FMT='(/"CNAMEOBSOUL absente de NAMELIST NADIR"/)')
        CALL OULAN_ERREUR(CLABORT)
      ENDIF
      IF (len_trim(CNAMEBASE) == 0) THEN
        WRITE(NULOUT,FMT='(/"CNAMEBASE absente de NAMELIST NADIR"/)')
        CALL OULAN_ERREUR(CLABORT)
      ENDIF


!  Utilisation de la date passee en NAMELIST
!  -----------------------------------------

      IF ( NDATE.NE.0 ) THEN
        IANNEE = NDATE / 10000
        IMOIS  = MOD( NDATE/100 , 100 )
        IJOUR  = MOD( NDATE , 100 )
        IHEURE = NRESO

!  Calcul de la date d'utilisation des ressources
!  ----------------------------------------------

      ELSE
        CL_EXP_RESS_UTIL  = 'heure -00 0000                 '
        CL_DATE_RESS_PROD = CHAR(0)
        I_FORMAT          = 1
        CALL DMT_GET_DU_F( CL_EXP_RESS_UTIL , CL_DATE_RESS_PROD ,
     &                     I_FORMAT , CL_DATE_RUTIL , I_STATUS )

        IF ( I_STATUS.EQ.0 ) THEN
          READ (CL_DATE_RUTIL( 1: 4),'(I4)') IANNEE
          READ (CL_DATE_RUTIL( 5: 6),'(I2)') IMOIS
          READ (CL_DATE_RUTIL( 7: 8),'(I2)') IJOUR
          READ (CL_DATE_RUTIL( 9:10),'(I2)') IHEURE
          NDATE = IANNEE*10000 + IMOIS*100 + IJOUR
          NRESO = IHEURE
        ELSE
          WRITE (NULOUT,*) ' Probleme DMT_GET_DU_F ',
     &                     '  status = ',I_STATUS
          CALL OULAN_ERREUR(CLABORT)
        ENDIF
      ENDIF

!  Calcul des fourchettes temporelles
!  ----------------------------------

      IHHMNM1 = NDIFFM1
      IHHMNP1 = NDIFFP1
      IHHMNM2 = NDIFFM2
      IHHMNP2 = NDIFFP2
      IHHMNCO = NDIFFCO

      CALL OULAN_FOUR(IANNEE,IMOIS,IJOUR,IHEURE,IHHMNM1,IHHMNP1,
     &                IHHMNM2,IHHMNP2,IHHMNCO,CDATDEB,CDATFIN)

!-----------------------------------------------------------------------

!  Forcages eventuels (uniquement si L_CUTOFF_C ou L_CUTOFF_L)
!  -----------------------------------------------------------

!    si L_CUTOFF_C 

!      -> extraction des TOVSAMSUA Bracknell, EUMETSAT et Lannion
!      -> extraction des TOVSHIRS  Bracknell

!    si L_CUTOFF_L 

!      -> extraction des TOVSAMSUA Bracknell
!           si nb TOVSAMSUA Bracknell = 0, extraction EUMETSAT et Lannion
!      -> extraction des TOVSHIRS  Bracknell

! ---------------------------------------------------------------
!  Provisoirement L_CUTOFF_C et L_CUTOFF_L sont forces a .FALSE.
! ---------------------------------------------------------------

      L_CUTOFF_C = .FALSE.
      L_CUTOFF_L = .FALSE.

! ---------------------------------------------------------------

      L_TA_BR_AV = L_TAMSUA_BRACK
      L_TA_EU_AV = L_TAMSUA_EUMETSAT
      L_TA_LA_AV = L_TAMSUA_LANNION
      L_TA_CE_AV = L_TAMSUA_CEP

      L_TH_BR_AV = L_THIRS_BRACK
      L_TH_EU_AV = L_THIRS_EUMETSAT
      L_TH_LA_AV = L_THIRS_LANNION
      L_TH_CE_AV = L_THIRS_CEP

      IF ( L_CUTOFF_C ) THEN
        IF ( LTOVSAMSUA ) THEN
          L_TAMSUA_BRACK    = .TRUE.
          L_TAMSUA_EUMETSAT = .TRUE.
          L_TAMSUA_LANNION  = .TRUE.
          L_TAMSUA_CEP      = .FALSE.
        ENDIF
        IF ( LTOVSHIRS ) THEN
          L_THIRS_BRACK    = .TRUE.
          L_THIRS_EUMETSAT = .FALSE.
          L_THIRS_LANNION  = .FALSE.
          L_THIRS_CEP      = .FALSE.
        ENDIF
      ENDIF

      IF ( L_CUTOFF_L ) THEN
        IF ( LTOVSAMSUA ) THEN
          L_TAMSUA_BRACK    = .TRUE.
          L_TAMSUA_EUMETSAT = .FALSE.
          L_TAMSUA_LANNION  = .FALSE.
          L_TAMSUA_CEP      = .FALSE.
        ENDIF
        IF ( LTOVSHIRS ) THEN
          L_THIRS_BRACK    = .TRUE.
          L_THIRS_EUMETSAT = .FALSE.
          L_THIRS_LANNION  = .FALSE.
          L_THIRS_CEP      = .FALSE.
        ENDIF
      ENDIF

!      IF ( LQUIKSCAT .AND. L_QUIKSCAT_BUFR ) THEN
!        WRITE (NULOUT,201)
! 201    FORMAT(/,' ATTENTION  vous avez demande la constitution d''un ',
!     &         'fichier BUFR contenant les',/,' ---------  donnees QUI',
!     &         'KSCAT en vue de proceder a un pretraitement specifique',
!     &         /,12X,'Cette configuration d''OULAN exclut une quelconq',
!     &         'ue extraction d''un',/,12X,'autre type de messages.',/)
!      ENDIF

!-----------------------------------------------------------------------

!  Preparation des impressions
!  ---------------------------

      IF ( IJOUR.LE.9 ) THEN
        WRITE (CLADAT(1:1),'(I1)') IJOUR
        ID = 3
      ELSE
        WRITE (CLADAT(1:2),'(I2)') IJOUR
        ID = 4
      ENDIF

      CLADAT(ID:ID+8) = CLMOIS(IMOIS)
      ID = ID + ILNMOIS(IMOIS)
      WRITE (CLADAT(ID:ID+3),'(I4)') IANNEE

      IF ( NRESO.LE.9 ) THEN
        CLERESO(1:1) = '0'
        WRITE (CLERESO(2:2),'(I1)') NRESO
        IF ( NRESO.LE.1 ) CLERESO(9:9) = ' '
      ELSE
        WRITE (CLERESO(1:2),'(I2)') NRESO
      ENDIF

      DO J=1,JP_NB_TYPE_OBS
        CLTYPO(J) = '   '
        CLNBOB(J) = '      '
      ENDDO

      IF ( LSYNOP      ) CLTYPO( 1) = '.T.'
      IF ( LSHIP       ) CLTYPO( 2) = '.T.'
      IF ( LSYNOR      ) CLTYPO( 3) = '.T.'
      IF ( LRADOMEH    ) CLTYPO( 4) = '.T.'
      IF ( LAIREP      ) CLTYPO( 5) = '.T.'
      IF ( LAMDAR      ) CLTYPO( 6) = '.T.'
      IF ( LACAR       ) CLTYPO( 7) = '.T.'
      IF ( LSATOB      ) CLTYPO( 8) = '.T.'
      IF ( LSATGEO     ) CLTYPO( 9) = '.T.'
!      IF ( LGEOWIND    ) CLTYPO(10) = '.T.'
      IF ( LBUOY       ) CLTYPO(11) = '.T.'
      IF ( LBATHY      ) CLTYPO(12) = '.T.'
      IF ( LTESAC      ) CLTYPO(13) = '.T.'
      IF ( LTEMP       ) CLTYPO(14) = '.T.'
      IF ( LTEMPSHIP   ) CLTYPO(15) = '.T.'
      IF ( LTEMPDROP   ) CLTYPO(16) = '.T.'
      IF ( LTEMPMOBIL  ) CLTYPO(17) = '.T.'
      IF ( LPILOT      ) CLTYPO(18) = '.T.'
      IF ( LPILOTSHIP  ) CLTYPO(19) = '.T.'
      IF ( LPILOTMOBIL ) CLTYPO(20) = '.T.'
      IF ( LEUROPROFIL ) CLTYPO(21) = '.T.'
      IF ( LPROFILER   ) CLTYPO(22) = '.T.'
      IF ( LSATEM      ) CLTYPO(23) = '.T.'
      IF ( LTOVS120    ) CLTYPO(24) = '.T.'
      IF ( LATOVS      ) CLTYPO(25) = '.T.'
      IF ( LSSMI       ) CLTYPO(26) = '.T.'
      IF ( LSSMICE     ) CLTYPO(27) = '.T.'
      IF ( LTOVSHIRS   ) CLTYPO(28) = '.T.'
      IF ( LTOVSMSU    ) CLTYPO(29) = '.T.'
      IF ( LTOVSAMSUA  ) CLTYPO(30) = '.T.'
      IF ( LTOVSAMSUB  ) CLTYPO(31) = '.T.'
      IF ( LCYCLONE    ) CLTYPO(32) = '.T.'
      IF ( LERS1UWI    ) CLTYPO(33) = '.T.'
!      IF ( LQUIKSCAT   ) CLTYPO(34) = '.T.'
      IF ( LAIRSBT     ) CLTYPO(35) = '.T.'
      IF ( LGPSSOL     ) CLTYPO(37) = '.T.'
      IF ( LPAOB_REU   ) CLTYPO(38) = '.T.'

      IF ( LZONEA ) THEN
        WRITE (CLIMP1(23:26),'(I4)') INT(ALANZA)
        WRITE (CLIMP1(27:29),'(I3)') MOD(NINT(ALANZA*100.),100)+100
        CLIMP1(27:27) = '.'
        WRITE (CLIMP2(23:26),'(I4)') INT(ALASZA)
        WRITE (CLIMP2(27:29),'(I3)') MOD(NINT(ALASZA*100.),100)+100
        CLIMP2(27:27) = '.'
        WRITE (CLIMP3(23:26),'(I4)') INT(ALOOZA)
        WRITE (CLIMP3(27:29),'(I3)') MOD(NINT(ALOOZA*100.),100)+100
        CLIMP3(27:27) = '.'
        WRITE (CLIMP4(23:26),'(I4)') INT(ALOEZA)
        WRITE (CLIMP4(27:29),'(I3)') MOD(NINT(ALOEZA*100.),100)+100
        CLIMP4(27:27) = '.'
        CLIMP5(20:20) = 'T'
      ELSE
        CLIMP1( 1:30) = CLBLAN
        CLIMP2( 1:30) = CLBLAN
        CLIMP3( 1:30) = CLBLAN
        CLIMP4( 1:30) = CLBLAN
      ENDIF

      IF ( LZONEB ) THEN
        WRITE (CLIMP1(53:56),'(I4)') INT(ALANZB)
        WRITE (CLIMP1(57:59),'(I3)') MOD(NINT(ALANZB*100.),100)+100
        CLIMP1(57:57) = '.'
        WRITE (CLIMP2(53:56),'(I4)') INT(ALASZB)
        WRITE (CLIMP2(57:59),'(I3)') MOD(NINT(ALASZB*100.),100)+100
        CLIMP2(57:57) = '.'
        WRITE (CLIMP3(53:56),'(I4)') INT(ALOOZB)
        WRITE (CLIMP3(57:59),'(I3)') MOD(NINT(ALOOZB*100.),100)+100
        CLIMP3(57:57) = '.'
        WRITE (CLIMP4(53:56),'(I4)') INT(ALOEZB)
        WRITE (CLIMP4(57:59),'(I3)') MOD(NINT(ALOEZB*100.),100)+100
        CLIMP4(57:57) = '.'
        CLIMP5(50:50) = 'T'
      ELSE
        CLIMP1(31:60) = CLBLAN
        CLIMP2(31:60) = CLBLAN
        CLIMP3(31:60) = CLBLAN
        CLIMP4(31:60) = CLBLAN
      ENDIF

      IF ( LZONEC ) THEN
        WRITE (CLIMP1(83:86),'(I4)') INT(ALANZC)
        WRITE (CLIMP1(87:89),'(I3)') MOD(NINT(ALANZC*100.),100)+100
        CLIMP1(87:87) = '.'
        WRITE (CLIMP2(83:86),'(I4)') INT(ALASZC)
        WRITE (CLIMP2(87:89),'(I3)') MOD(NINT(ALASZC*100.),100)+100
        CLIMP2(87:87) = '.'
        WRITE (CLIMP3(83:86),'(I4)') INT(ALOOZC)
        WRITE (CLIMP3(87:89),'(I3)') MOD(NINT(ALOOZC*100.),100)+100
        CLIMP3(87:87) = '.'
        WRITE (CLIMP4(83:86),'(I4)') INT(ALOEZC)
        WRITE (CLIMP4(87:89),'(I3)') MOD(NINT(ALOEZC*100.),100)+100
        CLIMP4(87:87) = '.'
        CLIMP5(80:80) = 'T'
      ELSE
        CLIMP1(61:90) = CLBLAN
        CLIMP2(61:90) = CLBLAN
        CLIMP3(61:90) = CLBLAN
        CLIMP4(61:90) = CLBLAN
      ENDIF

      IF ( L_CUTOFF_C ) THEN
        CL_CUTOFF_C = '.T.'
      ELSE
        CL_CUTOFF_C = '.F.'
      ENDIF

      IF ( L_CUTOFF_L ) THEN
        CL_CUTOFF_L = '.T.'
      ELSE
        CL_CUTOFF_L = '.F.'
      ENDIF

      IF ( L_SAUT_DATE ) THEN
        CLSODAT = '.T.'
      ELSE
        CLSODAT = '.F.'
      ENDIF

      IF ( L_GEOPOINTS ) THEN
        CLGEOPO = '.T.'
      ELSE
        CLGEOPO = '.F.'
      ENDIF

      IF ( LRH2Q ) THEN
        CLRH2Q = '.T.'
      ELSE
        CLRH2Q = '.F.'
      ENDIF

      IF ( LFTSYSUP ) THEN
        CLFTSY = '.T.'
      ELSE
        CLFTSY = '.F.'
      ENDIF

      IF ( LCUTOFF ) THEN
        CLCUTOFF = '.T.'
      ELSE
        CLCUTOFF = '.F.'
      ENDIF

      IF ( LSSMIECH ) THEN
        CLSSMIECH = '.T.'
      ELSE
        CLSSMIECH = '.F.'
      ENDIF

      IF ( LAMSUAECH ) THEN
        CLAMSUAECH = '.T.'
      ELSE
        CLAMSUAECH = '.F.'
      ENDIF

      IF ( LAMSUBECH ) THEN
        CLAMSUBECH = '.T.'
      ELSE
        CLAMSUBECH = '.F.'
      ENDIF

      IF ( LHIRSECH ) THEN
        CLHIRSECH = '.T.'
      ELSE
        CLHIRSECH = '.F.'
      ENDIF

      IF ( L_TOVS_NESDIS ) THEN
        CL_T_NE  = '.T.'
      ELSE
        CL_T_NE  = '.F.'
      ENDIF

      IF ( L_TOVS_LANNION ) THEN
        CL_T_LA  = '.T.'
      ELSE
        CL_T_LA  = '.F.'
      ENDIF

      IF ( L_ATOVS_NESDIS ) THEN
        CL_AT_NE  = '.T.'
      ELSE
        CL_AT_NE  = '.F.'
      ENDIF

      IF ( L_ATOVS_LANNION ) THEN
        CL_AT_LA  = '.T.'
      ELSE
        CL_AT_LA  = '.F.'
      ENDIF

      IF ( L_TA_LA_AV ) THEN
        CL_TA_LA_AV  = '.T.'
      ELSE
        CL_TA_LA_AV  = '.F.'
      ENDIF

      IF ( L_TAMSUA_LANNION ) THEN
        CL_TA_LA  = '.T.'
      ELSE
        CL_TA_LA  = '.F.'
      ENDIF

      IF ( L_TA_BR_AV ) THEN
        CL_TA_BR_AV  = '.T.'
      ELSE
        CL_TA_BR_AV  = '.F.'
      ENDIF

      IF ( L_TAMSUA_BRACK ) THEN
        CL_TA_BR  = '.T.'
      ELSE
        CL_TA_BR  = '.F.'
      ENDIF

      IF ( L_TA_CE_AV ) THEN
        CL_TA_CE_AV  = '.T.'
      ELSE
        CL_TA_CE_AV  = '.F.'
      ENDIF

      IF ( L_TAMSUA_CEP ) THEN
        CL_TA_CEP = '.T.'
      ELSE
        CL_TA_CEP = '.F.'
      ENDIF

      IF ( L_TA_EU_AV ) THEN
        CL_TA_EU_AV  = '.T.'
      ELSE
        CL_TA_EU_AV  = '.F.'
      ENDIF

      IF ( L_TAMSUA_EUMETSAT ) THEN
        CL_TA_EUM = '.T.'
      ELSE
        CL_TA_EUM = '.F.'
      ENDIF

      IF ( L_TAMSUB_LANNION ) THEN
        CL_TB_LA  = '.T.'
      ELSE
        CL_TB_LA  = '.F.'
      ENDIF

      IF ( L_TAMSUB_BRACK ) THEN
        CL_TB_BR  = '.T.'
      ELSE
        CL_TB_BR  = '.F.'
      ENDIF

      IF ( L_TAMSUB_CEP ) THEN
        CL_TB_CEP = '.T.'
      ELSE
        CL_TB_CEP = '.F.'
      ENDIF

      IF ( L_TAMSUB_EUMETSAT ) THEN
        CL_TB_EUM = '.T.'
      ELSE
        CL_TB_EUM = '.F.'
      ENDIF

      IF ( L_TH_LA_AV ) THEN
        CL_TH_LA_AV  = '.T.'
      ELSE
        CL_TH_LA_AV  = '.F.'
      ENDIF

      IF ( L_THIRS_LANNION ) THEN
        CL_TH_LA  = '.T.'
      ELSE
        CL_TH_LA  = '.F.'
      ENDIF

      IF ( L_TH_BR_AV ) THEN
        CL_TH_BR_AV  = '.T.'
      ELSE
        CL_TH_BR_AV  = '.F.'
      ENDIF

      IF ( L_THIRS_BRACK ) THEN
        CL_TH_BR  = '.T.'
      ELSE
        CL_TH_BR  = '.F.'
      ENDIF

      IF ( L_TH_CE_AV ) THEN
        CL_TH_CE_AV  = '.T.'
      ELSE
        CL_TH_CE_AV  = '.F.'
      ENDIF

      IF ( L_THIRS_CEP ) THEN
        CL_TH_CEP = '.T.'
      ELSE
        CL_TH_CEP = '.F.'
      ENDIF

      IF ( L_TH_EU_AV ) THEN
        CL_TH_EU_AV  = '.T.'
      ELSE
        CL_TH_EU_AV  = '.F.'
      ENDIF

      IF ( L_THIRS_EUMETSAT ) THEN
        CL_TH_EUM = '.T.'
      ELSE
        CL_TH_EUM = '.F.'
      ENDIF

!      IF ( L_GW_IR ) THEN
!        CL_GW_IR = '.T.'
!      ELSE
!        CL_GW_IR = '.F.'
!      ENDIF

!      IF ( L_GW_VIS ) THEN
!        CL_GW_VIS = '.T.'
!      ELSE
!        CL_GW_VIS = '.F.'
!      ENDIF

!      IF ( L_GW_CLVW ) THEN
!        CL_GW_CLVW = '.T.'
!      ELSE
!        CL_GW_CLVW = '.F.'
!      ENDIF

!      IF ( L_GW_CSVW ) THEN
!        CL_GW_CSVW = '.T.'
!      ELSE
!        CL_GW_CSVW = '.F.'
!      ENDIF

!      IF ( L_GW_MVW ) THEN
!        CL_GW_MVW = '.T.'
!      ELSE
!        CL_GW_MVW = '.F.'
!      ENDIF

!      IF ( L_AIRSBT_AIRS ) THEN
!        CL_TB_AIRS = '.T.'
!      ELSE
!        CL_TB_AIRS = '.F.'
!      ENDIF

!      IF ( L_AIRSBT_AMSUA ) THEN
!        CL_TB_AMSUA = '.T.'
!      ELSE
!        CL_TB_AMSUA = '.F.'
!      ENDIF

      IF ( L_AIRSBT_HSB ) THEN
        CL_TB_HSB = '.T.'
      ELSE
        CL_TB_HSB = '.F.'
      ENDIF

      IF ( L_GPSS_BLACK ) THEN
        CL_GPSS_BLK = '.T.'
      ELSE
        CL_GPSS_BLK = '.F.'
      ENDIF

!      IF ( L_AIRSBT_AMSUA_ECH ) THEN
!        CL_AIRSBT_AMSUA_ECH = '.T.'
!      ELSE
!        CL_AIRSBT_AMSUA_ECH = '.F.'
!      ENDIF

!      IF ( L_QUIKSCAT_BUFR ) THEN
!        CL_QUIKSCAT_BUFR = '.T.'
!      ELSE
!        CL_QUIKSCAT_BUFR = '.F.'
!      ENDIF

!      IF ( L_QUIKSCAT_OBSOUL ) THEN
!        CL_QUIKSCAT_OBSOUL = '.T.'
!      ELSE
!        CL_QUIKSCAT_OBSOUL = '.F.'
!      ENDIF

!      IF ( L_AIRSBT_VISNIR ) THEN
!        CL_AIRSBT_VISNIR = '.T.'
!      ELSE
!        CL_AIRSBT_VISNIR = '.F.'
!      ENDIF

!      IF ( L_AIRSBT_WCH ) THEN
!        CL_AIRSBT_WCH = '.T.'
!      ELSE
!        CL_AIRSBT_WCH = '.F.'
!      ENDIF

      IF ( LSYNOP      ) WRITE (CLNBOB( 1),'(I6)') NBSYNOP
      IF ( LSHIP       ) WRITE (CLNBOB( 2),'(I6)') NBSHIP
      IF ( LSYNOR      ) WRITE (CLNBOB( 3),'(I6)') NBSYNOR
      IF ( LRADOMEH    ) WRITE (CLNBOB( 4),'(I6)') NBRADOMEH
      IF ( LAIREP      ) WRITE (CLNBOB( 5),'(I6)') NBAIREP
      IF ( LAMDAR      ) WRITE (CLNBOB( 6),'(I6)') NBAMDAR
      IF ( LACAR       ) WRITE (CLNBOB( 7),'(I6)') NBACAR
      IF ( LSATOB      ) WRITE (CLNBOB( 8),'(I6)') NBSATOB
      IF ( LSATGEO     ) WRITE (CLNBOB( 9),'(I6)') NBSATGEO
!      IF ( LGEOWIND    ) WRITE (CLNBOB(10),'(I6)') NBGEOWIND
      IF ( LBUOY       ) WRITE (CLNBOB(11),'(I6)') NBBUOY
      IF ( LBATHY      ) WRITE (CLNBOB(12),'(I6)') NBBATHY
      IF ( LTESAC      ) WRITE (CLNBOB(13),'(I6)') NBTESAC
      IF ( LTEMP       ) WRITE (CLNBOB(14),'(I6)') NBTEMP
      IF ( LTEMPSHIP   ) WRITE (CLNBOB(15),'(I6)') NBTEMPSHIP
      IF ( LTEMPDROP   ) WRITE (CLNBOB(16),'(I6)') NBTEMPDROP
      IF ( LTEMPMOBIL  ) WRITE (CLNBOB(17),'(I6)') NBTEMPMOBIL
      IF ( LPILOT      ) WRITE (CLNBOB(18),'(I6)') NBPILOT
      IF ( LPILOTSHIP  ) WRITE (CLNBOB(19),'(I6)') NBPILOTSHIP
      IF ( LPILOTMOBIL ) WRITE (CLNBOB(20),'(I6)') NBPILOTMOBIL
      IF ( LEUROPROFIL ) WRITE (CLNBOB(21),'(I6)') NBEUROPROFIL
      IF ( LPROFILER   ) WRITE (CLNBOB(22),'(I6)') NBPROFILER
      IF ( LSATEM      ) WRITE (CLNBOB(23),'(I6)') NBSATEM
      IF ( LTOVS120    ) WRITE (CLNBOB(24),'(I6)') NBTOVS120
      IF ( LATOVS      ) WRITE (CLNBOB(25),'(I6)') NBATOVS   
      IF ( LSSMI       ) WRITE (CLNBOB(26),'(I6)') NBSSMI
      IF ( LSSMICE     ) WRITE (CLNBOB(27),'(I6)') NBSSMICE
      IF ( LTOVSHIRS   ) WRITE (CLNBOB(28),'(I6)') NBTOVSHIRS
      IF ( LTOVSMSU    ) WRITE (CLNBOB(29),'(I6)') NBTOVSMSU
      IF ( LTOVSAMSUA  ) WRITE (CLNBOB(30),'(I6)') NBTOVSAMSUA
      IF ( LTOVSAMSUB  ) WRITE (CLNBOB(31),'(I6)') NBTOVSAMSUB
      IF ( LCYCLONE    ) WRITE (CLNBOB(32),'(I6)') NBCYCLONE
      IF ( LERS1UWI    ) WRITE (CLNBOB(33),'(I6)') NBERS1UWI
!      IF ( LQUIKSCAT   ) WRITE (CLNBOB(34),'(I6)') NBQUIKSCAT
      IF ( LAIRSBT     ) WRITE (CLNBOB(35),'(I6)') NBAIRSBT
      IF ( LGPSSOL     ) WRITE (CLNBOB(37),'(I6)') NBGPSSOL
      IF ( LPAOB_REU   ) WRITE (CLNBOB(38),'(I6)') NBPAOBREU

!-----------------------------------------------------------------------

!  Impressions
!  -----------

      IF ( LFTSYSUP ) THEN
        WRITE (NULOUT,401) CLADAT,CLERESO,CDATDEB(1),CDATFIN(1),
     &                     CDATDEB(2),CDATFIN(2),CDATDEB(3),CDATFIN(3)
      ELSE
        WRITE (NULOUT,406) CLADAT,CLERESO,CDATDEB(1),CDATFIN(1),
     &                     CDATDEB(2),CDATFIN(2)
      ENDIF
      IF ( LCUTOFF ) WRITE (NULOUT,415) NDIFFCO,CDATFIN(4)
      WRITE (NULOUT,402)
      WRITE (NULOUT,403) (CLTYPO(J),J=1,9),(CLTYPO(J),J=11,33),
     &                    CLTYPO(35),CLTYPO(37),CLTYPO(38)
      WRITE (NULOUT,404) CLIMP5,CLIMP1,CLIMP2,CLIMP3,CLIMP4
      WRITE (NULOUT,405)
      WRITE (NULOUT,403) (CLNBOB(J),J=1,9),(CLNBOB(J),J=11,33),
     &                    CLNBOB(35),CLNBOB(37),CLNBOB(38)
      WRITE (NULOUT,411) CLSODAT,CLRH2Q,CLFTSY,CLCUTOFF,CLGEOPO,NINIT,
     &                   CLSSMIECH,NSSMISAUT,CLAMSUAECH,NAMSUASAUT,
     &                   CLAMSUBECH,NAMSUBSAUT,CLHIRSECH,NHIRSSAUT
      WRITE (NULOUT,412) CL_T_NE,CL_T_LA,CL_AT_NE,CL_AT_LA
!      WRITE (NULOUT,421) CL_QUIKSCAT_BUFR,CL_QUIKSCAT_OBSOUL
      WRITE (NULOUT,417) CL_CUTOFF_C,CL_CUTOFF_L
      IF ( L_CUTOFF_C ) THEN
        WRITE (NULOUT,418) CL_TA_BR_AV,CL_TA_BR,CL_TA_EU_AV,CL_TA_EUM,
     &                     CL_TA_LA_AV,CL_TA_LA,CL_TA_CE_AV,CL_TA_CEP,
     &                     CL_TH_BR_AV,CL_TH_BR,CL_TH_EU_AV,CL_TH_EUM,
     &                     CL_TH_LA_AV,CL_TH_LA,CL_TH_CE_AV,CL_TH_CEP
      ELSE IF ( L_CUTOFF_L ) THEN
        WRITE (NULOUT,420) CL_TA_BR_AV,CL_TA_BR,CL_TA_EU_AV,CL_TA_EUM,
     &                     CL_TA_LA_AV,CL_TA_LA,CL_TA_CE_AV,CL_TA_CEP,
     &                     CL_TH_BR_AV,CL_TH_BR,CL_TH_EU_AV,CL_TH_EUM,
     &                     CL_TH_LA_AV,CL_TH_LA,CL_TH_CE_AV,CL_TH_CEP
      ELSE
        WRITE (NULOUT,416) CL_TA_LA,CL_TA_BR,CL_TA_CEP,CL_TA_EUM,
     &                     CL_TB_LA,CL_TB_BR,CL_TB_CEP,CL_TB_EUM,
     &                     CL_TH_LA,CL_TH_BR,CL_TH_CEP,CL_TH_EUM
      ENDIF

      WRITE (NULOUT,419) CL_TB_HSB
      WRITE (NULOUT,422) CL_GPSS_BLK

      WRITE (NULOUT,413)
      IF ( LSATOB ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_SATOB)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_SATOB,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_SATOB),
     &                     MNBSATSEL(N_SATOB),CLSATSEL
      ENDIF
      IF ( LSATGEO ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_SATGEO)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_SATGEO,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_SATGEO),
     &                     MNBSATSEL(N_SATGEO),CLSATSEL
      ENDIF
      IF ( LSATEM ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_SATEM)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_SATEM,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_SATEM),
     &                     MNBSATSEL(N_SATEM),CLSATSEL
      ENDIF
      IF ( LTOVS120 ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_TOVS120)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_TOVS120,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_TOVS120),
     &                     MNBSATSEL(N_TOVS120),CLSATSEL
      ENDIF
      IF ( LATOVS ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_ATOVS)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_ATOVS,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_ATOVS),
     &                     MNBSATSEL(N_ATOVS),CLSATSEL
      ENDIF
      IF ( LTOVSHIRS ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_TOVSHIRS)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_TOVSHIRS,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_TOVSHIRS),
     &                     MNBSATSEL(N_TOVSHIRS),CLSATSEL
      ENDIF
      IF ( LTOVSMSU ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_TOVSMSU)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_TOVSMSU,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_TOVSMSU),
     &                     MNBSATSEL(N_TOVSMSU),CLSATSEL
      ENDIF
      IF ( LTOVSAMSUA ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_TOVSAMSUA)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_TOVSAMSUA,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_TOVSAMSUA),
     &                     MNBSATSEL(N_TOVSAMSUA),CLSATSEL
      ENDIF
      IF ( LTOVSAMSUB ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_TOVSAMSUB)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_TOVSAMSUB,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_TOVSAMSUB),
     &                     MNBSATSEL(N_TOVSAMSUB),CLSATSEL
      ENDIF
      IF ( LSSMI ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_SSMI)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_SSMI,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_SSMI),
     &                     MNBSATSEL(N_SSMI),CLSATSEL
      ENDIF
      IF ( LSSMICE ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_SSMICE)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_SSMICE,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_SSMICE),
     &                     MNBSATSEL(N_SSMICE),CLSATSEL
      ENDIF
!      IF ( LGEOWIND ) THEN
!        DO J=1,10
!          CLSATSEL(J) = '   '
!        ENDDO
!        DO J=1,MNBSATSEL(N_GEOWIND)
!          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_GEOWIND,J)
!        ENDDO
!        WRITE (NULOUT,414) CDTPMBDM(N_GEOWIND),
!     &                     MNBSATSEL(N_GEOWIND),CLSATSEL
!      ENDIF
!      IF ( LQUIKSCAT ) THEN
!        DO J=1,10
!          CLSATSEL(J) = '   '
!        ENDDO
!        DO J=1,MNBSATSEL(N_QUIKSCAT)
!          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_QUIKSCAT,J)
!        ENDDO
!        WRITE (NULOUT,414) CDTPMBDM(N_QUIKSCAT),
!     &                     MNBSATSEL(N_QUIKSCAT),CLSATSEL
!      ENDIF
      IF ( LAIRSBT ) THEN
        DO J=1,10
          CLSATSEL(J) = '   '
        ENDDO
        DO J=1,MNBSATSEL(N_AIRSBT)
          WRITE (CLSATSEL(J),'(I3)') MNOSATSEL(N_AIRSBT,J)
        ENDDO
        WRITE (NULOUT,414) CDTPMBDM(N_AIRSBT),
     &                     MNBSATSEL(N_AIRSBT),CLSATSEL
      ENDIF

!-----------------------------------------------------------------------

!  Formats
!  -------

 401  FORMAT(//,'     C O N S T I T U T I O N    D E S    F I C H I E ',
     &       'R S    D '' O B S E R V A T I O N S ',//,25X,' P O U R  ',
     &       '  A R P E G E   -   O U L A N ',///,'  Date demandee',13X,
     &       ': ',A20,/,'  Reseau demande',12X,': ',A10,/,'  Fourchett',
     &       'es d''extraction  : ',A14,' - ',A14,/,30X,A14,' - ',A14,/,
     &       30X,A14,' - ',A14,/)
 402  FORMAT(/,'     Messages a extraire ')
 403  FORMAT(/'  SYNOP      : ',A6,'   SHIP       : ',A6,'   SYNOR ',
     &  '     : ',A6,'   RADOMEH    : ',A6,/,'  AIREP      : ',A6,
     &  '   AMDAR      : ',A6,
     &  '   ACAR       : ',A6,/,'  SATOB      : ',A6,'   SATGEO    ',
     &  ' : ',A6,/,'  BUOY       : ',A6,'   B',
     &  'ATHY      : ',A6,'   TESAC      : ',A6,/,'  TEMP       : ',A6,
     &  '   TEMPSHIP   : ',A6,'   TEMPDROP   : ',A6,'   TEMPMOBIL  : ',
     &  A6,/,'  PILOT      : ',A6,'   PILOTSHIP  : ',A6,'   PILOTMOBI',
     &  'L : ',A6,/,'  EUROPROFIL : ',A6,'   PROFILER   : ',A6,/,'  S',
     &  'ATEM      : ',A6,'   TOVS120    : ',A6,'   ATOVS      : ',A6,/,
     &  '  SSMI',7X,': ',A6,'   SSMICE     : ',A6,/,'  TOVSHIRS   : ',
     &  A6,'   TOVSMSU    : ',A6,'   TOVSAMSUA  : ',A6,'   TOVSAMSUB ',
     &  ' : ',A6,/,'  CYCLONE    : ',A6,/,'  ERS1UWI    : ',A6,
     &  '   AIRSBT     : ',A6,'   GPSSOL     : ',A6,'   PAOB_REU   : ',
     &  A6,/)
 404  FORMAT('     Zones geographiques de recherche ',//,
     &       A90,//,A90,/,A90,/,A90,/,A90,/)
 405  FORMAT(/,'     Nombres maximum de messages a extraire ')
 406  FORMAT(//,'     C O N S T I T U T I O N    D E S    F I C H I E ',
     &       'R S    D '' O B S E R V A T I O N S ',//,25X,' P O U R  ',
     &       '  A R P E G E   -   O U L A N ',///,'  Date demandee',13X,
     &       ': ',A20,/,'  Reseau demande',12X,': ',A10,/,'  Fourchett',
     &       'es d''extraction  : ',A14,' - ',A14,/,30X,A14,' - ',A14,/)
 407  FORMAT(/,' Erreur de lecture sur la NAMELIST NADIRS ',/)
 408  FORMAT(/,' Fin du fichier des NAMELIST sans la NAMELIST NADIRS',/)
 409  FORMAT(/,' Erreur de lecture sur la NAMELIST NANBOB ',/)
 410  FORMAT(/,' Fin du fichier des NAMELIST sans la NAMELIST NANBOB',/)
 411  FORMAT(/,' L_SAUT_DATE = ',A3,/,' LRH2Q       = ',A3,/,' LFTSYSU',
     &       'P    = ',A3,/,' LCUTOFF     = ',A3,/,' L_GEOPOINTS = ',A3,
     &       //,' NINIT       = ',I2,//,
     &       ' LSSMIECH            = ',A3,'   NSSMISAUT        = ',I2,/,
     &       ' LAMSUAECH           = ',A3,'   NAMSUASAUT       = ',I2,/,
     &       ' LAMSUBECH           = ',A3,'   NAMSUBSAUT       = ',I2,/,
     &       ' LHIRSECH            = ',A3,'   NHIRSSAUT        = ',I2,/)
 412  FORMAT(' L_TOVS_NESDIS     = ',A3,/,' L_TOVS_LANNION    = ',A3,//,
     &       ' L_ATOVS_NESDIS    = ',A3,/,' L_ATOVS_LANNION   = ',A3,/)
 413  FORMAT(/,'  selection des satellites',/,2X,24('-'),/)
 414  FORMAT(5X,A10,4X,I2,' |  ',10(A3,2X))
 415  FORMAT(80('-'),/,' A T T E N T I O N  :  extraction avec cut-off '
     &       ,//,8X,' NDIFFCO = ',I4,6X,' heure de coupure : ',A14,/,
     &       80('-'),/)
 416  FORMAT(' L_TAMSUA_LANNION  = ',A3,/,' L_TAMSUA_BRACK    = ',A3,/,
     &       ' L_TAMSUA_CEP      = ',A3,/,' L_TAMSUA_EUMETSAT = ',A3,//,
     &       ' L_TAMSUB_LANNION  = ',A3,/,' L_TAMSUB_BRACK    = ',A3,/,
     &       ' L_TAMSUB_CEP      = ',A3,/,' L_TAMSUB_EUMETSAT = ',A3,//,
     &       ' L_THIRS_LANNION   = ',A3,/,' L_THIRS_BRACK     = ',A3,/,
     &       ' L_THIRS_CEP       = ',A3,/,' L_THIRS_EUMETSAT  = ',A3,/)
 417  FORMAT(' L_CUTOFF_C        = ',A3,/,' L_CUTOFF_L        = ',A3,/)
 418  FORMAT(80('-'),/,' A T T E N T I O N  : les logiques ci-apres ',
     &      'ont ete forcees',//,8X,'avant',24X,'apres',//,
     &      ' L_TAMSUA_BRACK    = ',A3,5X,' L_TAMSUA_BRACK    = ',A3,/,
     &      ' L_TAMSUA_EUMETSAT = ',A3,5X,' L_TAMSUA_EUMETSAT = ',A3,/,
     &      ' L_TAMSUA_LANNION  = ',A3,5X,' L_TAMSUA_LANNION  = ',A3,/,
     &      ' L_TAMSUA_CEP      = ',A3,5X,' L_TAMSUA_CEP      = ',A3,//,
     &      ' L_THIRS_BRACK     = ',A3,5X,' L_THIRS_BRACK     = ',A3,/,
     &      ' L_THIRS_EUMETSAT  = ',A3,5X,' L_THIRS_EUMETSAT  = ',A3,/,
     &      ' L_THIRS_LANNION   = ',A3,5X,' L_THIRS_LANNION   = ',A3,/,
     &      ' L_THIRS_CEP       = ',A3,5X,' L_THIRS_CEP       = ',A3,/,
     &      80('-'),/)
 419  FORMAT(' L_AIRSBT_HSB      = ',A3,/)
 420  FORMAT(80('-'),/,' A T T E N T I O N  : les logiques ci-apres ',
     &      'ont ete forcees',//,8X,'avant',24X,'apres',//,
     &      ' L_TAMSUA_BRACK    = ',A3,5X,' L_TAMSUA_BRACK    = ',A3,/,
     &      ' L_TAMSUA_EUMETSAT = ',A3,5X,' L_TAMSUA_EUMETSAT = ',A3,/,
     &      ' L_TAMSUA_LANNION  = ',A3,5X,' L_TAMSUA_LANNION  = ',A3,/,
     &      ' L_TAMSUA_CEP      = ',A3,5X,' L_TAMSUA_CEP      = ',A3,//,
     &      ' si nb TOVSMSUA Bracknell = 0, extraction des TOVSAMSUA ',
     &      'EUMETSAT et LANNION ',//,
     &      ' L_THIRS_BRACK     = ',A3,5X,' L_THIRS_BRACK     = ',A3,/,
     &      ' L_THIRS_EUMETSAT  = ',A3,5X,' L_THIRS_EUMETSAT  = ',A3,/,
     &      ' L_THIRS_LANNION   = ',A3,5X,' L_THIRS_LANNION   = ',A3,/,
     &      ' L_THIRS_CEP       = ',A3,5X,' L_THIRS_CEP       = ',A3,/,
     &      80('-'),/)
! 421  FORMAT(' L_QUIKSCAT_BUFR   = ',A3,/,' L_QUIKSCAT_OBSOUL = ',A3,/)
  422  FORMAT(' L_GPS_BLACK      = ',A3,/)

!-----------------------------------------------------------------------

      RETURN
      END
